function  Book_AddTOCEntries(ParamBookEntry)
{
  Level1 = ParamBookEntry.fNewChild("Preface", "dbaintro.htm");
  Level2 = Level1.fNewChild("Purpose", "dbaintro.htm#13668");
  Level2 = Level1.fNewChild("Audience", "dbaintro.htm#2696");
  Level2 = Level1.fNewChild("Prerequisites", "dbaintro.htm#11279");
  Level2 = Level1.fNewChild("Document Map", "dbaintro.htm#646");
  Level2 = Level1.fNewChild("Accessing Hyperion Documentation xl", "dbaintro.htm#13719");
  Level2 = Level1.fNewChild("Document Conventions xl", "dbaintro.htm#792");
  Level2 = Level1.fNewChild("Sample Applications xli", "dbaintro.htm#11381");
  Level2 = Level1.fNewChild("Additional Support xlii", "dbaintro.htm#12736");
  Level3 = Level2.fNewChild("Ordering Documentation xlii", "dbaintro.htm#12755");
  Level3 = Level2.fNewChild("Education Services xliii", "dbaintro.htm#12759");
  Level3 = Level2.fNewChild("Consulting Services xliv", "dbaintro.htm#12765");
  Level3 = Level2.fNewChild("Technical Support xliv", "dbaintro.htm#12770");
  Level1 = ParamBookEntry.fNewChild("Part I: Understanding Hyperion Essbase", "dba_p01.htm");
  Level1 = ParamBookEntry.fNewChild("Essbase and Multidimensional Databases", "dinolap.htm");
  Level2 = Level1.fNewChild("About the Essbase Product Family", "dinolap.htm#1463");
  Level2 = Level1.fNewChild("Multidimensional Development Features", "dinolap.htm#10670");
  Level2 = Level1.fNewChild("Architectural Features of Essbase", "dinolap.htm#2864");
  Level3 = Level2.fNewChild("Dynamic Dimensionality", "dinolap.htm#1260");
  Level3 = Level2.fNewChild("Multithreaded Design and SMP", "dinolap.htm#1264");
  Level3 = Level2.fNewChild("Multiple User Read and Write", "dinolap.htm#10885");
  Level2 = Level1.fNewChild("Understanding Client-Server Communications", "dinolap.htm#9555");
  Level3 = Level2.fNewChild("Essbase Server", "dinolap.htm#1282");
  Level3 = Level2.fNewChild("Essbase Client", "dinolap.htm#1288");
  Level1 = ParamBookEntry.fNewChild("Multidimensional Concepts", "dinconc.htm");
  Level2 = Level1.fNewChild("Introducing OLAP", "dinconc.htm#1316");
  Level2 = Level1.fNewChild("Introducing Dimensions and Members", "dinconc.htm#1346");
  Level2 = Level1.fNewChild("Arranging Dimensions into Hierarchies", "dinconc.htm#1354");
  Level2 = Level1.fNewChild("Defining Essbase Terminology", "dinconc.htm#6791");
  Level3 = Level2.fNewChild("Member Relationships, Generations, and Levels", "dinconc.htm#6795");
  Level3 = Level2.fNewChild("Parents, Children, and Siblings", "dinconc.htm#6807");
  Level3 = Level2.fNewChild("Descendants and Ancestors", "dinconc.htm#6825");
  Level3 = Level2.fNewChild("Roots and Leaves", "dinconc.htm#6838");
  Level3 = Level2.fNewChild("Generations and Levels", "dinconc.htm#6852");
  Level2 = Level1.fNewChild("Identifying Values in a Multidimensional Database", "dinconc.htm#7045");
  Level2 = Level1.fNewChild("Looking at Data from Different Perspectives", "dinconc.htm#6583");
  Level2 = Level1.fNewChild("Designing and Creating a Simple Application", "dinconc.htm#1424");
  Level3 = Level2.fNewChild("Analyzing the Application Requirements", "dinconc.htm#1428");
  Level3 = Level2.fNewChild("Organizing Multidimensional Data", "dinconc.htm#1434");
  Level3 = Level2.fNewChild("Adding and Deleting Standard Dimensions and Stored Members", "dinconc.htm#7158");
  Level1 = ParamBookEntry.fNewChild("Basic Architectural Elements", "dinarch.htm");
  Level2 = Level1.fNewChild("Attribute Dimensions and Standard Dimensions", "dinarch.htm#2091");
  Level2 = Level1.fNewChild("Sparse and Dense Dimensions", "dinarch.htm#7524");
  Level2 = Level1.fNewChild("Data Blocks and the Index System", "dinarch.htm#12621");
  Level2 = Level1.fNewChild("Selection of Sparse and Dense Dimensions", "dinarch.htm#1598");
  Level3 = Level2.fNewChild("Changing the Sparse-Dense Configuration", "dinarch.htm#12062");
  Level3 = Level2.fNewChild("Determining the Sparse-Dense Configuration for Sample Basic", "dinarch.htm#11972");
  Level2 = Level1.fNewChild("Dense and Sparse Selection Scenarios", "dinarch.htm#2926");
  Level3 = Level2.fNewChild("Scenario 1: All Sparse Standard Dimensions", "dinarch.htm#7626");
  Level3 = Level2.fNewChild("Scenario 2: All Dense Standard Dimensions", "dinarch.htm#4680");
  Level3 = Level2.fNewChild("Scenario 3: Dense and Sparse Standard Dimensions", "dinarch.htm#1661");
  Level3 = Level2.fNewChild("Scenario 4: A Typical Multidimensional Problem", "dinarch.htm#1672");
  Level2 = Level1.fNewChild("The Essbase Solution", "dinarch.htm#11694");
  Level1 = ParamBookEntry.fNewChild("Quick Start for Implementing Essbase", "dinstart.htm");
  Level1 = ParamBookEntry.fNewChild("Part II: Designing and Creating Applications and Databases", "dba_p02.htm");
  Level1 = ParamBookEntry.fNewChild("Case Study: Designing a Single-Server Application", "dindesin.htm");
  Level2 = Level1.fNewChild("Designing an Application", "dindesin.htm#4422");
  Level2 = Level1.fNewChild("Case Study: The Beverage Company", "dindesin.htm#10642");
  Level2 = Level1.fNewChild("Planning and Analyzing", "dindesin.htm#10684");
  Level3 = Level2.fNewChild("Identifying Source Data", "dindesin.htm#3162");
  Level3 = Level2.fNewChild("Identifying User Requirements", "dindesin.htm#1269");
  Level3 = Level2.fNewChild("Creating a Business Model", "dindesin.htm#12598");
  Level2 = Level1.fNewChild("Drafting an Outline", "dindesin.htm#3221");
  Level2 = Level1.fNewChild("Loading Test Data", "dindesin.htm#12426");
  Level2 = Level1.fNewChild("Defining and Testing Calculations", "dindesin.htm#12423");
  Level3 = Level2.fNewChild("Consolidation Paths", "dindesin.htm#29402");
  Level3 = Level2.fNewChild("Consolidation Ordering", "dindesin.htm#29448");
  Level3 = Level2.fNewChild("Shared Members and Consolidation", "dindesin.htm#29582");
  Level3 = Level2.fNewChild("Time and Accounts Calculations", "dindesin.htm#29597");
  Level3 = Level2.fNewChild("Accounts Dimension Calculation", "dindesin.htm#29664");
  Level3 = Level2.fNewChild("Formulas", "dindesin.htm#29818");
  Level3 = Level2.fNewChild("Dynamic Calculations", "dindesin.htm#29878");
  Level3 = Level2.fNewChild("Two-Pass Calculations", "dindesin.htm#30003");
  Level2 = Level1.fNewChild("Defining Reports", "dindesin.htm#11015");
  Level2 = Level1.fNewChild("Verifying the Design", "dindesin.htm#12774");
  Level1 = ParamBookEntry.fNewChild("Creating Applications and Databases", "dotcreat.htm");
  Level2 = Level1.fNewChild("About Applications and Databases", "dotcreat.htm#1007813");
  Level2 = Level1.fNewChild("Database Objects", "dotcreat.htm#1024737");
  Level2 = Level1.fNewChild("Process for Creating Databases", "dotcreat.htm#1008276");
  Level2 = Level1.fNewChild("Using the Application Desktop Window", "dotcreat.htm#1027469");
  Level2 = Level1.fNewChild("Using the Administration Services Console", "dotcreat.htm#1027857");
  Level2 = Level1.fNewChild("Deciding Where to Build an Application", "dotcreat.htm#1008032");
  Level2 = Level1.fNewChild("Creating Applications and Databases", "dotcreat.htm#1009427");
  Level3 = Level2.fNewChild("Creating a New Application", "dotcreat.htm#1011254");
  Level3 = Level2.fNewChild("Creating a New Database", "dotcreat.htm#1002825");
  Level3 = Level2.fNewChild("Rules for Naming Applications and Databases", "dotcreat.htm#1032906");
  Level2 = Level1.fNewChild("Annotating a Database", "dotcreat.htm#1035702");
  Level2 = Level1.fNewChild("Using Dynamic Calculations", "dotcreat.htm#1027526");
  Level2 = Level1.fNewChild("Using Substitution Variables", "dotcreat.htm#1008099");
  Level3 = Level2.fNewChild("Guidelines for Setting Substitution Variables", "dotcreat.htm#1018914");
  Level3 = Level2.fNewChild("Setting a Substitution Variable", "dotcreat.htm#1008116");
  Level3 = Level2.fNewChild("Deleting a Substitution Variable", "dotcreat.htm#1008140");
  Level3 = Level2.fNewChild("Updating a Substitution Variable", "dotcreat.htm#1011121");
  Level2 = Level1.fNewChild("Using Location Aliases", "dotcreat.htm#1012038");
  Level3 = Level2.fNewChild("Creating Location Aliases", "dotcreat.htm#1012249");
  Level3 = Level2.fNewChild("Editing or Deleting Location Aliases", "dotcreat.htm#1012286");
  Level1 = ParamBookEntry.fNewChild("Creating and Changing Database Outlines", "dotmanul.htm");
  Level2 = Level1.fNewChild("Creating Outlines", "dotmanul.htm#1024643");
  Level3 = Level2.fNewChild("Opening Outlines", "dotmanul.htm#1009111");
  Level3 = Level2.fNewChild("Copying Outlines", "dotmanul.htm#1009682");
  Level2 = Level1.fNewChild("Verifying and Saving Outlines", "dotmanul.htm#1008957");
  Level3 = Level2.fNewChild("Verifying Outlines", "dotmanul.htm#1018171");
  Level3 = Level2.fNewChild("Saving Outlines", "dotmanul.htm#1009448");
  Level3 = Level2.fNewChild("Saving an Outline with Added Standard Dimensions", "dotmanul.htm#1041779");
  Level3 = Level2.fNewChild("Saving an Outline with One or More Deleted Standard Dimensions", "dotmanul.htm#1041792");
  Level3 = Level2.fNewChild("Creating Sub-Databases Using Deleted Members", "dotmanul.htm#1041861");
  Level3 = Level2.fNewChild("Setting Dense and Sparse Data Storage", "dotmanul.htm#1009624");
  Level2 = Level1.fNewChild("Renaming Dimensions and Members", "dotmanul.htm#1014407");
  Level2 = Level1.fNewChild("Adding Dimensions and Members to Outlines", "dotmanul.htm#1016896");
  Level3 = Level2.fNewChild("Rules for Naming Dimensions and Members", "dotmanul.htm#1012374");
  Level3 = Level2.fNewChild("Adding Dimensions to Outlines", "dotmanul.htm#1013545");
  Level3 = Level2.fNewChild("Adding Members to Dimensions", "dotmanul.htm#1010144");
  Level2 = Level1.fNewChild("Positioning Dimensions and Members", "dotmanul.htm#1010195");
  Level3 = Level2.fNewChild("Sorting Dimensions and Members", "dotmanul.htm#1020451");
  Level3 = Level2.fNewChild("Moving Members", "dotmanul.htm#1010201");
  Level2 = Level1.fNewChild("Naming Generations and Levels", "dotmanul.htm#1012768");
  Level2 = Level1.fNewChild("Customizing the Outline Editor", "dotmanul.htm#1012457");
  Level3 = Level2.fNewChild("Making Members Case-Sensitive", "dotmanul.htm#1012468");
  Level3 = Level2.fNewChild("Customizing the View", "dotmanul.htm#1013657");
  Level3 = Level2.fNewChild("Setting the Outline Font", "dotmanul.htm#1012491");
  Level3 = Level2.fNewChild("Confirming Changes to Dimensions and Members", "dotmanul.htm#1012972");
  Level2 = Level1.fNewChild("IBM Relational Storage Manager", "dotmanul.htm#1041898");
  Level1 = ParamBookEntry.fNewChild("Setting Dimension and Member Properties", "dotattrs.htm");
  Level2 = Level1.fNewChild("Setting the Dimension Type", "dotattrs.htm#1008187");
  Level3 = Level2.fNewChild("Tagging a Time Dimension", "dotattrs.htm#1027803");
  Level3 = Level2.fNewChild("Setting the Time Property", "dotattrs.htm#1027885");
  Level3 = Level2.fNewChild("Tagging an Accounts Dimension", "dotattrs.htm#1005835");
  Level3 = Level2.fNewChild("Tagging a Country Dimension", "dotattrs.htm#1005840");
  Level3 = Level2.fNewChild("Tagging a Currency Partition", "dotattrs.htm#1007483");
  Level3 = Level2.fNewChild("Tagging an Attribute Dimension", "dotattrs.htm#1016638");
  Level2 = Level1.fNewChild("Setting Two-Pass Calculation Properties", "dotattrs.htm#1008199");
  Level2 = Level1.fNewChild("Introducing Member Consolidation Properties", "dotattrs.htm#1007959");
  Level2 = Level1.fNewChild("Setting Member Consolidation Properties", "dotattrs.htm#1010730");
  Level2 = Level1.fNewChild("Setting Storage Properties", "dotattrs.htm#1007943");
  Level3 = Level2.fNewChild("Storing Data", "dotattrs.htm#1008498");
  Level3 = Level2.fNewChild("Dynamically Calculating Data", "dotattrs.htm#1008535");
  Level3 = Level2.fNewChild("Creating Label Only Members", "dotattrs.htm#1008538");
  Level3 = Level2.fNewChild("Creating Shared Members", "dotattrs.htm#1008974");
  Level2 = Level1.fNewChild("Setting UDAs", "dotattrs.htm#1005003");
  Level2 = Level1.fNewChild("Setting Comments on Dimensions and Members", "dotattrs.htm#1011911");
  Level2 = Level1.fNewChild("Setting Formulas for Dimensions and Members", "dotattrs.htm#1011932");
  Level1 = ParamBookEntry.fNewChild("Working with Attributes", "dattrib.htm");
  Level2 = Level1.fNewChild("About Attributes", "dattrib.htm#481518");
  Level3 = Level2.fNewChild("About Attribute Dimensions", "dattrib.htm#446385");
  Level3 = Level2.fNewChild("Introducing the Attribute Calculations\u00a0Dimension", "dattrib.htm#457349");
  Level3 = Level2.fNewChild("Attribute Design Considerations", "dattrib.htm#454962");
  Level3 = Level2.fNewChild("Outline Performance Considerations", "dattrib.htm#450732");
  Level2 = Level1.fNewChild("Working with Member Names in Attribute Dimensions", "dattrib.htm#476870");
  Level3 = Level2.fNewChild("Defining a Prefix or Suffix Format for Member Names of Attribute Dimensions", "dattrib.htm#483016");
  Level3 = Level2.fNewChild("Changing Member Names of the Attribute Calculations Dimension", "dattrib.htm#496707");
  Level3 = Level2.fNewChild("Changing the Member Names for Boolean Attribute Dimensions", "dattrib.htm#446774");
  Level3 = Level2.fNewChild("Setting the Member Name Format of Date Attribute Dimensions", "dattrib.htm#446777");
  Level3 = Level2.fNewChild("Assigning Member Names to Ranges of Values", "dattrib.htm#486329");
  Level2 = Level1.fNewChild("Defining Attributes Manually", "dattrib.htm#446244");
  Level3 = Level2.fNewChild("Associating Base Dimensions with Attribute Dimensions", "dattrib.htm#447764");
  Level3 = Level2.fNewChild("Associating Base Dimension Members with Attributes", "dattrib.htm#446350");
  Level2 = Level1.fNewChild("Calculating Attribute Data", "dattrib.htm#446254");
  Level3 = Level2.fNewChild("Attribute Calculations Dimension", "dattrib.htm#450455");
  Level3 = Level2.fNewChild("Default Attribute Calculations Members", "dattrib.htm#450499");
  Level3 = Level2.fNewChild("An Attribute Calculation Example", "dattrib.htm#450520");
  Level3 = Level2.fNewChild("Accessing Attribute Calculations Members Using the Spreadsheet", "dattrib.htm#450577");
  Level3 = Level2.fNewChild("Calculation and Retrieval Performance Considerations", "dattrib.htm#462398");
  Level3 = Level2.fNewChild("Using Attributes in Calculation Formulas", "dattrib.htm#457443");
  Level1 = ParamBookEntry.fNewChild("Creating and Managing Aliases", "dotalias.htm");
  Level2 = Level1.fNewChild("Introducing Aliases and Alias Tables", "dotalias.htm#997255");
  Level3 = Level2.fNewChild("Rules for Aliases", "dotalias.htm#996756");
  Level3 = Level2.fNewChild("Introducing Alias Tables", "dotalias.htm#997758");
  Level3 = Level2.fNewChild("Format of an Alias Table", "dotalias.htm#997766");
  Level2 = Level1.fNewChild("Creating Aliases for Members", "dotalias.htm#996852");
  Level2 = Level1.fNewChild("Creating Aliases for Member Combinations", "dotalias.htm#996878");
  Level2 = Level1.fNewChild("Creating New Alias Tables", "dotalias.htm#996970");
  Level2 = Level1.fNewChild("Setting Alias Tables", "dotalias.htm#996984");
  Level2 = Level1.fNewChild("Copying Existing Alias Tables", "dotalias.htm#997003");
  Level2 = Level1.fNewChild("Renaming Alias Tables", "dotalias.htm#997017");
  Level2 = Level1.fNewChild("Deleting and Clearing Alias Tables", "dotalias.htm#997030");
  Level3 = Level2.fNewChild("Deleting Alias Tables", "dotalias.htm#997032");
  Level3 = Level2.fNewChild("Clearing Alias Tables", "dotalias.htm#997044");
  Level2 = Level1.fNewChild("Importing and Exporting Alias Tables", "dotalias.htm#997057");
  Level3 = Level2.fNewChild("Importing an Alias Table", "dotalias.htm#997062");
  Level3 = Level2.fNewChild("Exporting an Alias Table", "dotalias.htm#997080");
  Level1 = ParamBookEntry.fNewChild("Linking Objects to Essbase Data", "dotlro.htm");
  Level2 = Level1.fNewChild("Understanding LROs", "dotlro.htm#999539");
  Level2 = Level1.fNewChild("Understanding LRO Types and Data Cells", "dotlro.htm#999626");
  Level2 = Level1.fNewChild("Managing LROs", "dotlro.htm#997019");
  Level3 = Level2.fNewChild("Setting Up Permissions for LROs", "dotlro.htm#997164");
  Level3 = Level2.fNewChild("Viewing and Deleting LROs", "dotlro.htm#999767");
  Level3 = Level2.fNewChild("Exporting and Importing LROs", "dotlro.htm#1007032");
  Level1 = ParamBookEntry.fNewChild("Designing and Building Currency Conversion Applications", "dcurrapp.htm");
  Level2 = Level1.fNewChild("Overview of the Business Problem", "dcurrapp.htm#1005503");
  Level2 = Level1.fNewChild("Overview of the Currency Application Structure", "dcurrapp.htm#1003782");
  Level3 = Level2.fNewChild("Contents of the Main Database", "dcurrapp.htm#1003793");
  Level3 = Level2.fNewChild("Contents of the Currency Database", "dcurrapp.htm#1003823");
  Level3 = Level2.fNewChild("Conversion Methodologies", "dcurrapp.htm#1003837");
  Level2 = Level1.fNewChild("Steps for Creating a Currency Conversion Application", "dcurrapp.htm#1019548");
  Level2 = Level1.fNewChild("Creating the Main Database Outline", "dcurrapp.htm#1005878");
  Level3 = Level2.fNewChild("Open the Existing Database Outline", "dcurrapp.htm#1005883");
  Level3 = Level2.fNewChild("Modify the Measures Dimension", "dcurrapp.htm#1005885");
  Level3 = Level2.fNewChild("Modify the Market Dimension", "dcurrapp.htm#1006044");
  Level3 = Level2.fNewChild("Modify the Scenario Dimension", "dcurrapp.htm#1006351");
  Level3 = Level2.fNewChild("Save the Main Database Outline Changes", "dcurrapp.htm#1003986");
  Level2 = Level1.fNewChild("Creating the Currency Database Outline", "dcurrapp.htm#1003997");
  Level3 = Level2.fNewChild("Generate the Currency Database Outline", "dcurrapp.htm#1003998");
  Level3 = Level2.fNewChild("Review the Contents of the Currency Database Outline", "dcurrapp.htm#1006496");
  Level3 = Level2.fNewChild("Add New Members to the CurType Dimension", "dcurrapp.htm#1005909");
  Level3 = Level2.fNewChild("Save the Currency Database Outline Changes", "dcurrapp.htm#1005910");
  Level2 = Level1.fNewChild("Linking the Main and Currency Databases", "dcurrapp.htm#1004075");
  Level2 = Level1.fNewChild("Calculating Currency Conversions", "dcurrapp.htm#1017350");
  Level3 = Level2.fNewChild("Overwriting Local Values with Converted Values", "dcurrapp.htm#1005318");
  Level3 = Level2.fNewChild("Keeping Local and Converted Values", "dcurrapp.htm#1005331");
  Level3 = Level2.fNewChild("Converting Data to a Different Currency in Reports", "dcurrapp.htm#1005388");
  Level3 = Level2.fNewChild("Effects of CCTRACK Parameter on Conversion Calculations", "dcurrapp.htm#1007203");
  Level1 = ParamBookEntry.fNewChild("Part III: Designing, Building, and Maintaining Partitions", "dba_p03.htm");
  Level1 = ParamBookEntry.fNewChild("Designing Partitioned Applications", "dotprtde.htm");
  Level2 = Level1.fNewChild("Introducing Essbase Partitioning", "dotprtde.htm#1007175");
  Level3 = Level2.fNewChild("Data Sources and Data Targets", "dotprtde.htm#1007218");
  Level3 = Level2.fNewChild("Overlapping Partitions", "dotprtde.htm#1019539");
  Level3 = Level2.fNewChild("What Is a Partition?", "dotprtde.htm#1020318");
  Level3 = Level2.fNewChild("Workflow for Partitioning a Database", "dotprtde.htm#1018473");
  Level2 = Level1.fNewChild("When to Partition a Database", "dotprtde.htm#1007238");
  Level2 = Level1.fNewChild("When Not to Partition a Database", "dotprtde.htm#1004764");
  Level2 = Level1.fNewChild("Determining Which Data to Partition", "dotprtde.htm#998141");
  Level2 = Level1.fNewChild("Deciding Which Type of Partition to Use", "dotprtde.htm#1018807");
  Level3 = Level2.fNewChild("Replicated Partitions", "dotprtde.htm#1024511");
  Level3 = Level2.fNewChild("Transparent Partitions", "dotprtde.htm#1017931");
  Level3 = Level2.fNewChild("Linked Partitions", "dotprtde.htm#998199");
  Level3 = Level2.fNewChild("Questions to Help You Choose a Partition Type", "dotprtde.htm#1013323");
  Level2 = Level1.fNewChild("Using Attributes in Partitions", "dotprtde.htm#1018925");
  Level2 = Level1.fNewChild("Setting Up Security for Partitioned Databases", "dotprtde.htm#1018912");
  Level3 = Level2.fNewChild("Setting Up Security for Replicated Partitions", "dotprtde.htm#1013006");
  Level3 = Level2.fNewChild("Setting Up Security for Transparent Partitions", "dotprtde.htm#1013012");
  Level3 = Level2.fNewChild("Setting Up Security for Linked Partitions", "dotprtde.htm#1010480");
  Level2 = Level1.fNewChild("Scenarios for Designing Partitioned Databases", "dotprtde.htm#1010409");
  Level3 = Level2.fNewChild("Scenario 1: Partitioning an Existing Database", "dotprtde.htm#1004384");
  Level3 = Level2.fNewChild("Scenario 2: Connecting Existing Related Databases", "dotprtde.htm#1004874");
  Level3 = Level2.fNewChild("Scenario 3: Linking Two Databases", "dotprtde.htm#1022618");
  Level1 = ParamBookEntry.fNewChild("Building and Maintaining Partitions", "dotprtbd.htm");
  Level2 = Level1.fNewChild("Opening the Partition Manager", "dotprtbd.htm#998093");
  Level2 = Level1.fNewChild("Creating a New Partition", "dotprtbd.htm#1014451");
  Level2 = Level1.fNewChild("Creating a Replicated Partition", "dotprtbd.htm#1008176");
  Level3 = Level2.fNewChild("Specifying the Partition Type and Connection Information", "dotprtbd.htm#1027477");
  Level3 = Level2.fNewChild("Setting the User Name and Password", "dotprtbd.htm#1014635");
  Level3 = Level2.fNewChild("Defining the Areas in a Partition", "dotprtbd.htm#1008378");
  Level3 = Level2.fNewChild("Mapping Data Source Members to Data Target Members", "dotprtbd.htm#1018369");
  Level2 = Level1.fNewChild("Creating a Transparent Partition", "dotprtbd.htm#1008177");
  Level3 = Level2.fNewChild("Specifying the Partition Type and Connection Information", "dotprtbd.htm#1013454");
  Level3 = Level2.fNewChild("Setting the User Name and Password", "dotprtbd.htm#1009365");
  Level3 = Level2.fNewChild("Defining the Areas in a Transparent Partition", "dotprtbd.htm#1009389");
  Level3 = Level2.fNewChild("Mapping Data Source Members to Data Target Members", "dotprtbd.htm#1009403");
  Level2 = Level1.fNewChild("Creating a Linked Partition", "dotprtbd.htm#1019612");
  Level3 = Level2.fNewChild("Specifying the Partition Type and Connection Information", "dotprtbd.htm#1009986");
  Level3 = Level2.fNewChild("Setting the User Name and Password", "dotprtbd.htm#1010099");
  Level3 = Level2.fNewChild("Defining the Areas in a Partition", "dotprtbd.htm#1010108");
  Level3 = Level2.fNewChild("Mapping Data Source Members to Data Target Members", "dotprtbd.htm#1010122");
  Level2 = Level1.fNewChild("Validating the Partition", "dotprtbd.htm#997239");
  Level2 = Level1.fNewChild("Saving the Partition Definition", "dotprtbd.htm#997293");
  Level2 = Level1.fNewChild("Testing Partitions", "dotprtbd.htm#1004431");
  Level2 = Level1.fNewChild("Creating Advanced Area-Specific Mappings (Optional)", "dotprtbd.htm#1011115");
  Level2 = Level1.fNewChild("Introducing Outline Synchronization", "dotprtbd.htm#1075037");
  Level3 = Level2.fNewChild("Source Outline and Target Outline", "dotprtbd.htm#999864");
  Level3 = Level2.fNewChild("How Essbase Tracks Changes", "dotprtbd.htm#1020847");
  Level3 = Level2.fNewChild("Synchronizing Outlines", "dotprtbd.htm#1014051");
  Level3 = Level2.fNewChild("How Shared Members Are Treated in Outline Synchronization", "dotprtbd.htm#1061333");
  Level2 = Level1.fNewChild("Editing Partitions", "dotprtbd.htm#999163");
  Level2 = Level1.fNewChild("Introducing the Updating of Replicated Partitions", "dotprtbd.htm#1024127");
  Level2 = Level1.fNewChild("Updating Replicated Partitions Using Application Manager", "dotprtbd.htm#1003459");
  Level2 = Level1.fNewChild("Updating Replicated Partitions Using MaxL or ESSCMD", "dotprtbd.htm#1061177");
  Level2 = Level1.fNewChild("Troubleshooting Partitions", "dotprtbd.htm#1002053");
  Level1 = ParamBookEntry.fNewChild("Part IV: Designing and Building a Security System", "dba_p04.htm");
  Level1 = ParamBookEntry.fNewChild("Managing Security for Users and Applications", "dsemain.htm");
  Level2 = Level1.fNewChild("About Security and Permissions", "dsemain.htm#997749");
  Level2 = Level1.fNewChild("Granting Permissions to Users and Groups", "dsemain.htm#1054238");
  Level3 = Level2.fNewChild("Specifying User and Group Types", "dsemain.htm#1005094");
  Level3 = Level2.fNewChild("Granting Application and Database Access to a User or Group", "dsemain.htm#1005127");
  Level3 = Level2.fNewChild("Granting Designer Permissions to a User or Group", "dsemain.htm#1040364");
  Level2 = Level1.fNewChild("Creating, Deleting, and Changing Users and Groups", "dsemain.xml#1040031");
  Level3 = Level2.fNewChild("Creating, Editing, and Copying Users and Groups", "dsemain.htm#1031052");
  Level3 = Level2.fNewChild("Copying an Existing Security Profile", "dsemain.htm#1005335");
  Level3 = Level2.fNewChild("Deleting Users and Groups", "dsemain.htm#1005392");
  Level3 = Level2.fNewChild("Renaming Users and Groups", "dsemain.htm#1031239");
  Level3 = Level2.fNewChild("Viewing and Modifying User Permissions", "dsemain.htm#1005576");
  Level2 = Level1.fNewChild("Managing External Authentication", "dsemain.htm#1005073");
  Level2 = Level1.fNewChild("Managing Global Security for Applications and Databases", "dsemain.htm#1043542");
  Level3 = Level2.fNewChild("Defining Application Settings", "dsemain.htm#1039935");
  Level3 = Level2.fNewChild("Setting General Application Connection Options", "dsemain.htm#1039860");
  Level3 = Level2.fNewChild("Setting Application and Database Minimum Permissions", "dsemain.htm#1039756");
  Level2 = Level1.fNewChild("Managing User Activity at the Server Level", "dsemain.htm#997670");
  Level3 = Level2.fNewChild("Disconnecting Users and Terminating Requests", "dsemain.htm#997706");
  Level3 = Level2.fNewChild("Managing User Locks", "dsemain.htm#1042041");
  Level3 = Level2.fNewChild("Managing Passwords and User Names", "dsemain.htm#1042029");
  Level3 = Level2.fNewChild("Viewing or Activating Disabled User Names", "dsemain.htm#1000070");
  Level2 = Level1.fNewChild("The ESSBASE.SEC Security File", "dsemain.htm#1038738");
  Level1 = ParamBookEntry.fNewChild("Controlling Access to Database Cells", "dsefilt.htm");
  Level2 = Level1.fNewChild("Permissions Defined by Filters", "dsefilt.htm#997037");
  Level2 = Level1.fNewChild("Defining Filters", "dsefilt.htm#997060");
  Level3 = Level2.fNewChild("Creating a New Filter", "dsefilt.htm#997726");
  Level3 = Level2.fNewChild("Editing a Filter", "dsefilt.htm#1003858");
  Level3 = Level2.fNewChild("Copying a Filter", "dsefilt.htm#997466");
  Level3 = Level2.fNewChild("Renaming a Filter", "dsefilt.htm#997529");
  Level3 = Level2.fNewChild("Deleting a Filter", "dsefilt.htm#997547");
  Level2 = Level1.fNewChild("Assigning Filters", "dsefilt.htm#997509");
  Level3 = Level2.fNewChild("Overlapping Filter Definitions", "dsefilt.htm#1003850");
  Level3 = Level2.fNewChild("Overlapping Access Definitions", "dsefilt.htm#997135");
  Level1 = ParamBookEntry.fNewChild("Security Examples", "dsesamp.htm");
  Level2 = Level1.fNewChild("Security Problem 1", "dsesamp.htm#996831");
  Level2 = Level1.fNewChild("Security Problem 2", "dsesamp.htm#996836");
  Level2 = Level1.fNewChild("Security Problem 3", "dsesamp.htm#996843");
  Level2 = Level1.fNewChild("Security Problem 4", "dsesamp.htm#996850");
  Level2 = Level1.fNewChild("Security Problem 5", "dsesamp.htm#996859");
  Level1 = ParamBookEntry.fNewChild("Part V: Building Dimensions and Loading Data", "dba_p05.htm");
  Level1 = ParamBookEntry.fNewChild("Introducing Dynamic Dimension Building", "dotdimb.htm");
  Level2 = Level1.fNewChild("Workflow for Creating Dimensions Using Rules Files", "dotdimb.htm#1018580");
  Level2 = Level1.fNewChild("Introduction to Build Methods", "dotdimb.htm#1010311");
  Level2 = Level1.fNewChild("Using Generation References", "dotdimb.htm#1024670");
  Level3 = Level2.fNewChild("Null Processing with Generation References", "dotdimb.htm#1014179");
  Level2 = Level1.fNewChild("Using Level References", "dotdimb.htm#1010396");
  Level3 = Level2.fNewChild("Null Processing with Level References", "dotdimb.htm#1014195");
  Level2 = Level1.fNewChild("Using Parent-Child References", "dotdimb.htm#1010699");
  Level2 = Level1.fNewChild("Adding a List of New Members", "dotdimb.htm#1012125");
  Level3 = Level2.fNewChild("Adding Members Based Upon String Matches", "dotdimb.htm#1012137");
  Level3 = Level2.fNewChild("Adding Members as Siblings of the Lowest Level", "dotdimb.htm#1012154");
  Level3 = Level2.fNewChild("Adding All New Members to a Specified Parent", "dotdimb.htm#1019430");
  Level2 = Level1.fNewChild("Building Attribute Dimensions and Associating Attributes", "dotdimb.htm#1023270");
  Level3 = Level2.fNewChild("Building Attribute Dimensions", "dotdimb.htm#1031681");
  Level3 = Level2.fNewChild("Associating Attributes", "dotdimb.htm#1031737");
  Level3 = Level2.fNewChild("Updating Attribute Associations", "dotdimb.htm#1031647");
  Level3 = Level2.fNewChild("Working with Multilevel Attribute Dimensions", "dotdimb.htm#1023701");
  Level3 = Level2.fNewChild("Working With Numeric Ranges", "dotdimb.htm#1027601");
  Level3 = Level2.fNewChild("Rules Summary for Building Attribute and Base\u00a0Dimensions", "dotdimb.htm#1031922");
  Level2 = Level1.fNewChild("Building Shared Members Using a Rules File", "dotdimb.htm#1027497");
  Level3 = Level2.fNewChild("Sharing Members at the Same Generation", "dotdimb.htm#1011866");
  Level3 = Level2.fNewChild("Sharing Members at Different Generations", "dotdimb.htm#1011952");
  Level3 = Level2.fNewChild("Sharing Members with Branches", "dotdimb.htm#1012014");
  Level3 = Level2.fNewChild("Building Multiple Roll-Ups Using Level References", "dotdimb.htm#1059863");
  Level3 = Level2.fNewChild("Creating Shared Roll-Ups from Multiple Data Sources", "dotdimb.htm#1045232");
  Level2 = Level1.fNewChild("Security and Multiple-User Considerations", "dotdimb.htm#1010816");
  Level1 = ParamBookEntry.fNewChild("Building Dimensions Using a Rules File", "dotrules.htm");
  Level2 = Level1.fNewChild("About Dimensions and Rules Files", "dotrules.htm#1043691");
  Level2 = Level1.fNewChild("Step 1: Defining Dimensions", "dotrules.htm#1018549");
  Level3 = Level2.fNewChild("Naming New Dimensions", "dotrules.htm#1012856");
  Level3 = Level2.fNewChild("Setting Dimension Properties", "dotrules.htm#1022847");
  Level2 = Level1.fNewChild("Step 2: Choosing the Build Method", "dotrules.htm#1019159");
  Level2 = Level1.fNewChild("Step 3: Specifying Changes to Dimensions", "dotrules.htm#1023170");
  Level2 = Level1.fNewChild("Step 4a: Setting Rules File Field Types", "dotrules.xml#1013009");
  Level2 = Level1.fNewChild("Step 4b: Setting Rules File Field Information", "dotrules.htm#1023461");
  Level2 = Level1.fNewChild("Step 5: Setting Global Options", "dotrules.htm#1014353");
  Level2 = Level1.fNewChild("Step 6: Validating Dimension Build Rules", "dotrules.htm#1013174");
  Level2 = Level1.fNewChild("Manipulating the Data Source", "dotrules.htm#1013628");
  Level3 = Level2.fNewChild("Using Dynamic References", "dotrules.htm#1013632");
  Level3 = Level2.fNewChild("Setting Member Properties", "dotrules.htm#1024043");
  Level2 = Level1.fNewChild("Performing Dimension Builds", "dotrules.htm#1013410");
  Level3 = Level2.fNewChild("Updating Dimensions in Outline Editor", "dotrules.htm#1018011");
  Level3 = Level2.fNewChild("Building Dimensions Without Connecting to the Server", "dotrules.htm#1013450");
  Level2 = Level1.fNewChild("Debugging Dimension Builds", "dotrules.htm#1013577");
  Level2 = Level1.fNewChild("Understanding How Essbase Builds Dimensions", "dotrules.htm#1013600");
  Level1 = ParamBookEntry.fNewChild("Introducing Data Loading", "ddlintro.htm");
  Level2 = Level1.fNewChild("Introduction to Data Sources", "ddlintro.htm#1004168");
  Level3 = Level2.fNewChild("How Does Essbase Read a Data Source?", "ddlintro.htm#1005029");
  Level3 = Level2.fNewChild("Valid Data Fields", "ddlintro.htm#1006175");
  Level3 = Level2.fNewChild("Valid Member Fields", "ddlintro.htm#1011481");
  Level3 = Level2.fNewChild("Invalid Member or Data Fields", "ddlintro.htm#1006245");
  Level3 = Level2.fNewChild("Setting File Delimiters", "ddlintro.htm#1006255");
  Level3 = Level2.fNewChild("Ignored Characters", "ddlintro.htm#1006277");
  Level2 = Level1.fNewChild("Introduction to Rules Files", "ddlintro.htm#1007175");
  Level3 = Level2.fNewChild("When to Use Data Load Rules", "ddlintro.htm#1007185");
  Level3 = Level2.fNewChild("How to Create Data Load Rules", "ddlintro.htm#1007206");
  Level3 = Level2.fNewChild("How Does Essbase Execute Operations in a Rules File?", "ddlintro.htm#1007224");
  Level2 = Level1.fNewChild("Rules for Rules File Data Sources", "ddlintro.htm#1007170");
  Level3 = Level2.fNewChild("Rules for Dimension Fields", "ddlintro.htm#1005344");
  Level3 = Level2.fNewChild("Rules for Member Fields", "ddlintro.htm#1007470");
  Level3 = Level2.fNewChild("Rules for Data Fields", "ddlintro.htm#1007490");
  Level3 = Level2.fNewChild("Rules for Extra Fields", "ddlintro.htm#1004661");
  Level3 = Level2.fNewChild("Rules for File Delimiters", "ddlintro.htm#1004690");
  Level2 = Level1.fNewChild("Rules for Free-Form Data Sources", "ddlintro.htm#1005346");
  Level3 = Level2.fNewChild("Formatting Ranges of Member Fields", "ddlintro.htm#1005504");
  Level3 = Level2.fNewChild("Formatting Columns", "ddlintro.htm#1005585");
  Level2 = Level1.fNewChild("Security and Multi-User Considerations", "ddlintro.htm#1004875");
  Level1 = ParamBookEntry.fNewChild("Setting up a Rules File to Manipulate Records", "ddlrecrd.htm");
  Level2 = Level1.fNewChild("Selecting the Data Source", "ddlrecrd.htm#1000323");
  Level3 = Level2.fNewChild("Connecting to the Server", "ddlrecrd.htm#997916");
  Level3 = Level2.fNewChild("Viewing the Application and Database", "ddlrecrd.htm#999446");
  Level3 = Level2.fNewChild("Opening the Data Prep Editor", "ddlrecrd.htm#997931");
  Level3 = Level2.fNewChild("Opening a Data Source", "ddlrecrd.htm#997997");
  Level2 = Level1.fNewChild("Setting File Delimiters", "ddlrecrd.htm#998062");
  Level2 = Level1.fNewChild("Using Header Information", "ddlrecrd.htm#997355");
  Level3 = Level2.fNewChild("Defining Header Information in the Rules File", "ddlrecrd.htm#997363");
  Level3 = Level2.fNewChild("Defining Header Information in the Data Source for a Data Load", "ddlrecrd.htm#997382");
  Level2 = Level1.fNewChild("Selecting Records", "ddlrecrd.htm#997412");
  Level2 = Level1.fNewChild("Rejecting Records", "ddlrecrd.htm#1001290");
  Level2 = Level1.fNewChild("Defining Multiple Select and Reject Criteria", "ddlrecrd.htm#997475");
  Level2 = Level1.fNewChild("Setting the Records Displayed", "ddlrecrd.htm#997496");
  Level2 = Level1.fNewChild("Validating and Saving Data Load Rules", "ddlrecrd.htm#998128");
  Level3 = Level2.fNewChild("Associating a Rules File with an Outline", "ddlrecrd.htm#998140");
  Level3 = Level2.fNewChild("Validating a Rules File", "ddlrecrd.htm#998157");
  Level3 = Level2.fNewChild("Saving Rules Files", "ddlrecrd.htm#998196");
  Level3 = Level2.fNewChild("Saving Under a Different Name", "ddlrecrd.htm#998214");
  Level1 = ParamBookEntry.fNewChild("Manipulating Fields Using a Rules File", "ddlfield.htm");
  Level2 = Level1.fNewChild("Selecting Multiple Fields", "ddlfield.htm#996838");
  Level2 = Level1.fNewChild("Ignoring Fields", "ddlfield.htm#996851");
  Level3 = Level2.fNewChild("Ignoring All Fields in a Column", "ddlfield.htm#996858");
  Level3 = Level2.fNewChild("Ignoring Fields Based on String Matching", "ddlfield.htm#1000368");
  Level2 = Level1.fNewChild("Ordering Fields", "ddlfield.htm#996896");
  Level3 = Level2.fNewChild("Moving Fields", "ddlfield.htm#1000144");
  Level3 = Level2.fNewChild("Joining Fields", "ddlfield.htm#996933");
  Level3 = Level2.fNewChild("Creating a New Field While Leaving Existing Fields Intact", "ddlfield.htm#996962");
  Level3 = Level2.fNewChild("Splitting Fields", "ddlfield.htm#996984");
  Level3 = Level2.fNewChild("Creating Additional Text Fields", "ddlfield.htm#997007");
  Level3 = Level2.fNewChild("Undoing Field Ordering", "ddlfield.htm#997031");
  Level2 = Level1.fNewChild("Mapping Fields to Member Names", "ddlfield.htm#997051");
  Level3 = Level2.fNewChild("Naming Fields", "ddlfield.htm#997059");
  Level3 = Level2.fNewChild("Replacing Text Strings", "ddlfield.htm#997080");
  Level3 = Level2.fNewChild("Replacing an Empty Field with Text", "ddlfield.htm#997112");
  Level3 = Level2.fNewChild("Changing the Case of Fields", "ddlfield.htm#997138");
  Level3 = Level2.fNewChild("Dropping Leading and Trailing White Space", "ddlfield.htm#997159");
  Level3 = Level2.fNewChild("Converting Spaces to Underscores", "ddlfield.htm#997181");
  Level3 = Level2.fNewChild("Adding Prefixes or Suffixes to Field Values", "ddlfield.htm#997203");
  Level2 = Level1.fNewChild("Defining a Column as a Data Field", "ddlfield.htm#997223");
  Level2 = Level1.fNewChild("Changing Data Values", "ddlfield.htm#997241");
  Level3 = Level2.fNewChild("Adding to and Subtracting from Existing Values", "ddlfield.htm#997247");
  Level3 = Level2.fNewChild("Clearing Existing Data Values", "ddlfield.htm#997267");
  Level3 = Level2.fNewChild("Scaling Data Values", "ddlfield.htm#997294");
  Level2 = Level1.fNewChild("Flipping Field Signs", "ddlfield.htm#997314");
  Level1 = ParamBookEntry.fNewChild("Performing and Debugging a Data Load", "ddlload.htm");
  Level2 = Level1.fNewChild("Prerequisites for Loading Data and Building Dimensions", "ddlload.htm#996811");
  Level2 = Level1.fNewChild("Choosing the Data Sources Using Application Manager", "ddlload.htm#1001438");
  Level3 = Level2.fNewChild("Choosing SQL Data Sources", "ddlload.htm#996880");
  Level3 = Level2.fNewChild("Choosing Text or Spreadsheet Files", "ddlload.htm#996898");
  Level2 = Level1.fNewChild("Choosing the Data Sources Using Windows", "ddlload.htm#1006426");
  Level2 = Level1.fNewChild("Specifying How to Load Data or Build Dimensions", "ddlload.htm#996964");
  Level3 = Level2.fNewChild("Using a Rules File with the Data Source", "ddlload.htm#998011");
  Level3 = Level2.fNewChild("Building Dimensions Dynamically by Modifying the Outline", "ddlload.htm#997017");
  Level3 = Level2.fNewChild("Updating the Database Outline in Batch Mode", "ddlload.htm#997043");
  Level2 = Level1.fNewChild("Setting a Load or Build Error Log", "ddlload.htm#1022113");
  Level2 = Level1.fNewChild("Starting the Data Load or Dimension Build", "ddlload.htm#997061");
  Level2 = Level1.fNewChild("Finishing the Data Load or Dimension Build", "ddlload.htm#997073");
  Level3 = Level2.fNewChild("Complete Load", "ddlload.htm#997080");
  Level3 = Level2.fNewChild("Partial Load", "ddlload.htm#997093");
  Level3 = Level2.fNewChild("No Load", "ddlload.htm#997137");
  Level2 = Level1.fNewChild("Tips for Loading Data", "ddlload.htm#997210");
  Level3 = Level2.fNewChild("Where to Load Data", "ddlload.htm#997216");
  Level3 = Level2.fNewChild("Loading a Range of Records", "ddlload.htm#997225");
  Level3 = Level2.fNewChild("Loading Data Using a Spreadsheet", "ddlload.htm#997242");
  Level2 = Level1.fNewChild("Debugging a Data Load", "ddlload.htm#1015178");
  Level3 = Level2.fNewChild("Debugging Without a Data Load Build Error Log", "ddlload.htm#1015199");
  Level3 = Level2.fNewChild("Finding Errors Written to Other Locations", "ddlload.htm#1015238");
  Level3 = Level2.fNewChild("Resolving Problems With Data Loaded Incorrectly", "ddlload.htm#1015252");
  Level3 = Level2.fNewChild("Verifying that the Server Is Available", "ddlload.htm#1015303");
  Level3 = Level2.fNewChild("Verifying that the Data Source Is Available", "ddlload.htm#1015329");
  Level3 = Level2.fNewChild("Recovering from a Server Crash", "ddlload.htm#1015376");
  Level3 = Level2.fNewChild("Resolving Problems With Validating a Rules File", "ddlload.htm#1015396");
  Level3 = Level2.fNewChild("Creating Rejection Criteria for End of File Markers", "ddlload.htm#1015408");
  Level1 = ParamBookEntry.fNewChild("Part VI: Calculating Data", "dba_p06.htm");
  Level1 = ParamBookEntry.fNewChild("Introduction to Database Calculations", "dcaintro.htm");
  Level2 = Level1.fNewChild("Understanding Database Calculations", "dcaintro.htm#11359");
  Level3 = Level2.fNewChild("Outline Calculation", "dcaintro.htm#2746");
  Level3 = Level2.fNewChild("Calc Script Calculation", "dcaintro.htm#3305");
  Level2 = Level1.fNewChild("Calculating a Multidimensional Database", "dcaintro.htm#3317");
  Level2 = Level1.fNewChild("Setting the Default Calculation", "dcaintro.htm#507");
  Level2 = Level1.fNewChild("Calculating a Database", "dcaintro.htm#387");
  Level3 = Level2.fNewChild("Running a Calculation", "dcaintro.htm#557");
  Level3 = Level2.fNewChild("Canceling a Calculation", "dcaintro.htm#10492");
  Level2 = Level1.fNewChild("Understanding Parallel vs. Serial Calculation", "dcaintro.htm#13322");
  Level2 = Level1.fNewChild("Considering Security", "dcaintro.htm#9134");
  Level1 = ParamBookEntry.fNewChild("Developing Formulas", "dcadevfo.htm");
  Level2 = Level1.fNewChild("Understanding Formulas", "dcadevfo.htm#2356");
  Level3 = Level2.fNewChild("Operators", "dcadevfo.htm#27517");
  Level3 = Level2.fNewChild("Functions", "dcadevfo.htm#27576");
  Level3 = Level2.fNewChild("Dimension and Member Names", "dcadevfo.htm#2215");
  Level3 = Level2.fNewChild("Constant Values", "dcadevfo.htm#41249");
  Level3 = Level2.fNewChild("Non-Constant Values", "dcadevfo.htm#41340");
  Level2 = Level1.fNewChild("Understanding Formula Calculation", "dcadevfo.htm#41247");
  Level2 = Level1.fNewChild("Understanding Formula Syntax", "dcadevfo.htm#27217");
  Level2 = Level1.fNewChild("Example: Creating a Simple Formula", "dcadevfo.htm#1481");
  Level2 = Level1.fNewChild("Building Formulas in Formula Editor", "dcadevfo.htm#28073");
  Level3 = Level2.fNewChild("Opening Formula Editor", "dcadevfo.htm#28064");
  Level3 = Level2.fNewChild("Displaying a Formula", "dcadevfo.htm#8225");
  Level3 = Level2.fNewChild("Adding a Formula", "dcadevfo.htm#8223");
  Level3 = Level2.fNewChild("Changing a Formula", "dcadevfo.htm#2385");
  Level3 = Level2.fNewChild("Saving a Formula", "dcadevfo.htm#2369");
  Level3 = Level2.fNewChild("Printing a Formula", "dcadevfo.htm#1589");
  Level3 = Level2.fNewChild("Deleting a Formula", "dcadevfo.htm#17057");
  Level3 = Level2.fNewChild("Inserting Text and Operators in a Formula", "dcadevfo.htm#2395");
  Level3 = Level2.fNewChild("Inserting Members in a Formula", "dcadevfo.htm#1768");
  Level3 = Level2.fNewChild("Searching for Members", "dcadevfo.htm#28431");
  Level2 = Level1.fNewChild("Writing Formulas", "dcadevfo.htm#24062");
  Level3 = Level2.fNewChild("Writing Basic Equations", "dcadevfo.htm#2422");
  Level3 = Level2.fNewChild("Specifying Conditions", "dcadevfo.htm#3208");
  Level3 = Level2.fNewChild("Examples of Specifying Conditions", "dcadevfo.htm#5028");
  Level3 = Level2.fNewChild("Value-Related Formulas", "dcadevfo.htm#14998");
  Level3 = Level2.fNewChild("Member-Related Formulas", "dcadevfo.htm#41714");
  Level3 = Level2.fNewChild("Formulas with Other Function Types", "dcadevfo.htm#3380");
  Level2 = Level1.fNewChild("Checking Syntax", "dcadevfo.htm#41494");
  Level3 = Level2.fNewChild("Checking Syntax on the Client", "dcadevfo.htm#41512");
  Level3 = Level2.fNewChild("Checking Syntax on the Server", "dcadevfo.htm#41571");
  Level2 = Level1.fNewChild("Working with Formulas in Partitions", "dcadevfo.htm#8874");
  Level1 = ParamBookEntry.fNewChild("Examples of Formulas", "dcafoexs.htm");
  Level2 = Level1.fNewChild("Calculating Period-to-Date Values", "dcafoexs.htm#3660");
  Level2 = Level1.fNewChild("Calculating Rolling Values", "dcafoexs.htm#3695");
  Level2 = Level1.fNewChild("Calculating Monthly Asset Movements", "dcafoexs.htm#3720");
  Level2 = Level1.fNewChild("Testing for #MISSING Values", "dcafoexs.htm#3749");
  Level2 = Level1.fNewChild("Calculating an Attribute Formula", "dcafoexs.htm#10203");
  Level1 = ParamBookEntry.fNewChild("Defining the Calculation Order", "dcacaord.htm");
  Level2 = Level1.fNewChild("Data Storage in Data Blocks", "dcacaord.htm#3785");
  Level2 = Level1.fNewChild("Member Calculation Order", "dcacaord.htm#13101");
  Level3 = Level2.fNewChild("Member Relationships", "dcacaord.htm#3845");
  Level3 = Level2.fNewChild("Member Consolidation", "dcacaord.htm#9126");
  Level3 = Level2.fNewChild("Ordering Dimensions in the Database Outline", "dcacaord.htm#3867");
  Level3 = Level2.fNewChild("Avoiding Forward Calculation References", "dcacaord.htm#3541");
  Level2 = Level1.fNewChild("Block Calculation Order", "dcacaord.htm#10635");
  Level2 = Level1.fNewChild("Data Block Renumbering", "dcacaord.htm#3937");
  Level2 = Level1.fNewChild("Cell Calculation Order", "dcacaord.htm#9840");
  Level3 = Level2.fNewChild("Cell Calculation Order: Example 1", "dcacaord.htm#3963");
  Level3 = Level2.fNewChild("Cell Calculation Order: Example 2", "dcacaord.htm#3999");
  Level3 = Level2.fNewChild("Cell Calculation Order: Example\u00a03", "dcacaord.htm#4035");
  Level3 = Level2.fNewChild("Cell Calculation Order: Example 4", "dcacaord.htm#4065");
  Level3 = Level2.fNewChild("Cell Calculation Order for Formulas on a Dense Dimension", "dcacaord.htm#21344");
  Level2 = Level1.fNewChild("Calculation Passes", "dcacaord.htm#4127");
  Level2 = Level1.fNewChild("Calculating Shared Members", "dcacaord.htm#4055");
  Level1 = ParamBookEntry.fNewChild("Dynamically Calculating Data Values", "dcadynca.htm");
  Level2 = Level1.fNewChild("Understanding Dynamic Calculations", "dcadynca.htm#10641");
  Level3 = Level2.fNewChild("Understanding Dynamic Calc Members", "dcadynca.htm#2720");
  Level3 = Level2.fNewChild("Understanding Dynamic Calc And Store Members", "dcadynca.htm#3685");
  Level3 = Level2.fNewChild("Retrieving the Parent Value of Dynamically Calculated Child Values", "dcadynca.htm#11017");
  Level2 = Level1.fNewChild("Benefitting from Dynamic Calculations", "dcadynca.htm#2786");
  Level2 = Level1.fNewChild("Using Dynamic Calculations", "dcadynca.htm#13341");
  Level2 = Level1.fNewChild("Choosing Values to Calculate Dynamically", "dcadynca.htm#3908");
  Level3 = Level2.fNewChild("Tagging Dense Dimension Members", "dcadynca.htm#4227");
  Level3 = Level2.fNewChild("Tagging Sparse Dimension Members", "dcadynca.htm#4229");
  Level3 = Level2.fNewChild("Tagging Two-Pass Members", "dcadynca.htm#10770");
  Level3 = Level2.fNewChild("Dynamic Calculations and Parent-Child Relationships", "dcadynca.htm#35349");
  Level3 = Level2.fNewChild("Calculation Scripts and Dynamic Calculations", "dcadynca.htm#10387");
  Level3 = Level2.fNewChild("Formulas and Dynamically Calculated Members", "dcadynca.htm#11561");
  Level3 = Level2.fNewChild("Dynamically Calculated Children of Regular Members", "dcadynca.htm#11078");
  Level3 = Level2.fNewChild("Choosing Between Dynamic Calc and  Dynamic Calc And Store", "dcadynca.htm#7301");
  Level2 = Level1.fNewChild("Dynamic Calculation Changes to Calculation Order", "dcadynca.htm#15843");
  Level3 = Level2.fNewChild("Calculation Order for Dynamic Calculations", "dcadynca.htm#11624");
  Level3 = Level2.fNewChild("Calculation Order for Dynamically Calculating Two-Pass Members", "dcadynca.htm#11645");
  Level3 = Level2.fNewChild("Calculation Order for Asymmetric Data", "dcadynca.htm#11664");
  Level2 = Level1.fNewChild("Reducing the Impact on Retrieval Time", "dcadynca.htm#28382");
  Level3 = Level2.fNewChild("Displaying a Retrieval Factor", "dcadynca.htm#31434");
  Level3 = Level2.fNewChild("Displaying a Summary of Dynamically Calculated Members", "dcadynca.htm#28472");
  Level3 = Level2.fNewChild("Increasing the Retrieval Buffer Size", "dcadynca.htm#28540");
  Level3 = Level2.fNewChild("Using Dynamic Calculator Caches", "dcadynca.htm#31626");
  Level2 = Level1.fNewChild("Using Dynamic Calculations with Standard Procedures", "dcadynca.htm#11812");
  Level2 = Level1.fNewChild("Creating Dynamic Calc and Dynamic Calc And Store Members", "dcadynca.htm#15942");
  Level2 = Level1.fNewChild("Building Dimensions with Dynamic Calc Members", "dcadynca.htm#6258");
  Level2 = Level1.fNewChild("Restructuring a Database", "dcadynca.htm#7316");
  Level2 = Level1.fNewChild("Dynamically Calculating Data in Partitions", "dcadynca.htm#6296");
  Level1 = ParamBookEntry.fNewChild("Calculating Time Series Data", "dcatimse.htm");
  Level2 = Level1.fNewChild("Calculating First, Last, or Average Values", "dcatimse.htm#2867");
  Level3 = Level2.fNewChild("Specifying Accounts and Time Dimensions", "dcatimse.htm#5309");
  Level3 = Level2.fNewChild("Reporting the Last Value for Each Time Period", "dcatimse.htm#2869");
  Level3 = Level2.fNewChild("Reporting the First Value for Each Time Period", "dcatimse.htm#2827");
  Level3 = Level2.fNewChild("Reporting the Average Value for Each Time Period", "dcatimse.htm#2828");
  Level3 = Level2.fNewChild("Skipping #MISSING and Zero Values", "dcatimse.htm#3833");
  Level3 = Level2.fNewChild("Considering the Effects of First, Last, and Average Tags", "dcatimse.htm#4013");
  Level3 = Level2.fNewChild("Placing Formulas on Time and Accounts Dimensions", "dcatimse.htm#4011");
  Level2 = Level1.fNewChild("Calculating Period-to-Date Values", "dcatimse.htm#4010");
  Level3 = Level2.fNewChild("Using Dynamic Time Series Members", "dcatimse.htm#4407");
  Level3 = Level2.fNewChild("Specifying Alias Names for Dynamic Time Series Members", "dcatimse.htm#5783");
  Level3 = Level2.fNewChild("Applying Predefined Generation Names to Dynamic Time Series Members", "dcatimse.htm#8648");
  Level3 = Level2.fNewChild("Retrieving Period-to-Date Values", "dcatimse.htm#4533");
  Level2 = Level1.fNewChild("Using Dynamic Time Series Members in Partitions", "dcatimse.htm#7263");
  Level1 = ParamBookEntry.fNewChild("Developing Calculation Scripts", "dcadevcs.htm");
  Level2 = Level1.fNewChild("Using a Calculation Script", "dcadevcs.htm#4783");
  Level2 = Level1.fNewChild("Creating a Calculation Script", "dcadevcs.htm#4229");
  Level3 = Level2.fNewChild("Calculating Sample Basic Data", "dcadevcs.htm#4597");
  Level3 = Level2.fNewChild("Running a Calculation Script", "dcadevcs.htm#1709");
  Level3 = Level2.fNewChild("Checking a Calculation", "dcadevcs.htm#51379");
  Level2 = Level1.fNewChild("Building a Calculation Script in the Calc Script Editor", "dcadevcs.htm#1658");
  Level3 = Level2.fNewChild("Implementing Outline Calculations", "dcadevcs.htm#4422");
  Level3 = Level2.fNewChild("Controlling the Flow of Calculations", "dcadevcs.htm#8824");
  Level3 = Level2.fNewChild("Declaring Data Variables", "dcadevcs.htm#4879");
  Level3 = Level2.fNewChild("Specifying Global Settings for a Database Calculation", "dcadevcs.htm#2583");
  Level3 = Level2.fNewChild("Adding Comments", "dcadevcs.htm#4459");
  Level3 = Level2.fNewChild("Composing Calculation Script Syntax", "dcadevcs.htm#2511");
  Level3 = Level2.fNewChild("Opening Calc Script Editor", "dcadevcs.htm#3415");
  Level3 = Level2.fNewChild("Adding a Calculation Script", "dcadevcs.htm#4735");
  Level3 = Level2.fNewChild("Changing a Calculation Script", "dcadevcs.htm#1777");
  Level3 = Level2.fNewChild("Saving a Calculation Script", "dcadevcs.htm#1779");
  Level3 = Level2.fNewChild("Running a Calculation Script", "dcadevcs.htm#4941");
  Level3 = Level2.fNewChild("Printing a Calculation Script", "dcadevcs.htm#7579");
  Level3 = Level2.fNewChild("Deleting a Calculation Script", "dcadevcs.htm#1790");
  Level3 = Level2.fNewChild("Using Formulas in a Calculation Script", "dcadevcs.htm#11043");
  Level3 = Level2.fNewChild("Inserting Text and Operators in a Calculation Script", "dcadevcs.htm#1835");
  Level3 = Level2.fNewChild("Associating a Calculation Script with a Database", "dcadevcs.htm#3427");
  Level3 = Level2.fNewChild("Checking Syntax", "dcadevcs.htm#1921");
  Level2 = Level1.fNewChild("Using a Calculation Script to Control Intelligent Calculation", "dcadevcs.htm#5161");
  Level2 = Level1.fNewChild("Grouping Formulas and Calculations", "dcadevcs.htm#5171");
  Level3 = Level2.fNewChild("Calculating a Series of Member Formulas", "dcadevcs.htm#5179");
  Level3 = Level2.fNewChild("Calculating a Series of Dimensions", "dcadevcs.htm#5217");
  Level2 = Level1.fNewChild("Using Substitution Variables", "dcadevcs.htm#1966");
  Level2 = Level1.fNewChild("Clearing Data", "dcadevcs.htm#5235");
  Level2 = Level1.fNewChild("Copying Data", "dcadevcs.htm#5277");
  Level2 = Level1.fNewChild("Calculating a Subset of a Database", "dcadevcs.htm#1512");
  Level3 = Level2.fNewChild("Calculating Lists of Members", "dcadevcs.htm#5307");
  Level3 = Level2.fNewChild("Using the FIX Command", "dcadevcs.htm#5319");
  Level2 = Level1.fNewChild("Writing Calculation Scripts for Partitions", "dcadevcs.htm#1976");
  Level2 = Level1.fNewChild("Controlling Calculation Order for Partitions", "dcadevcs.htm#9771");
  Level1 = ParamBookEntry.fNewChild("Examples of Calculation Scripts", "dcacsexs.htm");
  Level2 = Level1.fNewChild("Calculating Variance", "dcacsexs.htm#3711");
  Level2 = Level1.fNewChild("Calculating a Subset of a Database", "dcacsexs.htm#5818");
  Level2 = Level1.fNewChild("Loading New Budget Values", "dcacsexs.htm#5866");
  Level2 = Level1.fNewChild("Calculating Product and Market Share Values", "dcacsexs.htm#5686");
  Level2 = Level1.fNewChild("Allocating Costs Across Products", "dcacsexs.htm#5709");
  Level2 = Level1.fNewChild("Allocating Values Within or Across Dimensions", "dcacsexs.htm#6104");
  Level3 = Level2.fNewChild("Allocating Within a Dimension", "dcacsexs.htm#6438");
  Level3 = Level2.fNewChild("Allocating Across Multiple Dimensions", "dcacsexs.htm#6853");
  Level2 = Level1.fNewChild("Goal Seeking Using the LOOP Command", "dcacsexs.htm#6856");
  Level2 = Level1.fNewChild("Forecasting Future Values", "dcacsexs.htm#3991");
  Level1 = ParamBookEntry.fNewChild("Developing Custom-Defined Calculation Macros", "dcaudms.htm");
  Level2 = Level1.fNewChild("Understanding Custom-Defined Macros", "dcaudms.htm#465062");
  Level2 = Level1.fNewChild("Viewing Custom-Defined Macros", "dcaudms.htm#475051");
  Level2 = Level1.fNewChild("Creating Custom-Defined Macros", "dcaudms.htm#471519");
  Level3 = Level2.fNewChild("Understanding Scope", "dcaudms.htm#471311");
  Level3 = Level2.fNewChild("Naming Custom-Defined Macros", "dcaudms.htm#474986");
  Level3 = Level2.fNewChild("Creating Macros Using MaxL", "dcaudms.htm#473914");
  Level3 = Level2.fNewChild("Creating Macros Using Application Manager", "dcaudms.htm#474870");
  Level2 = Level1.fNewChild("Using Custom-Defined Macros", "dcaudms.htm#467320");
  Level2 = Level1.fNewChild("Changing Custom-Defined Macros", "dcaudms.htm#467467");
  Level3 = Level2.fNewChild("Changing Custom-Defined Macros Using MaxL", "dcaudms.htm#468210");
  Level3 = Level2.fNewChild("Changing a Custom-Defined Macro Using Application Manager", "dcaudms.htm#475650");
  Level2 = Level1.fNewChild("Removing Custom-Defined Macros", "dcaudms.htm#467472");
  Level3 = Level2.fNewChild("Removing a Custom-Defined Macros Using MaxL", "dcaudms.htm#468604");
  Level3 = Level2.fNewChild("Removing A Custom-Defined Macro Using Application Manager", "dcaudms.htm#472226");
  Level1 = ParamBookEntry.fNewChild("Developing Custom-Defined Calculation Functions", "dcaudfs.htm");
  Level2 = Level1.fNewChild("Viewing Custom-Defined Functions", "dcaudfs.htm#473880");
  Level2 = Level1.fNewChild("Creating Custom-Defined Functions", "dcaudfs.htm#475059");
  Level3 = Level2.fNewChild("Understanding Java Requirements for Custom-Defined Functions", "dcaudfs.htm#469631");
  Level3 = Level2.fNewChild("Understanding Method Requirements for Custom-Defined Functions", "dcaudfs.htm#467996");
  Level3 = Level2.fNewChild("Understanding Security and Custom-Defined Functions", "dcaudfs.htm#475213");
  Level3 = Level2.fNewChild("Understanding Scope and Custom-Defined Functions", "dcaudfs.htm#475232");
  Level3 = Level2.fNewChild("Naming Custom-Defined Functions", "dcaudfs.htm#475086");
  Level3 = Level2.fNewChild("Creating and Compiling the Java Class", "dcaudfs.htm#475107");
  Level3 = Level2.fNewChild("Installing Java Classes on OLAP Server", "dcaudfs.htm#466901");
  Level3 = Level2.fNewChild("Registering Custom-Defined Functions", "dcaudfs.htm#466902");
  Level2 = Level1.fNewChild("Verifying Custom-Defined Functions", "dcaudfs.htm#468381");
  Level2 = Level1.fNewChild("Using Registered Custom-Defined Functions", "dcaudfs.htm#467320");
  Level2 = Level1.fNewChild("Updating Custom-Defined Functions", "dcaudfs.htm#467467");
  Level3 = Level2.fNewChild("Updating Local Custom-Defined Functions", "dcaudfs.htm#468210");
  Level3 = Level2.fNewChild("Updating Global Custom-Defined Functions", "dcaudfs.htm#470465");
  Level2 = Level1.fNewChild("Removing Custom-Defined Functions", "dcaudfs.htm#467472");
  Level3 = Level2.fNewChild("Removing Local Custom-Defined Functions", "dcaudfs.htm#468604");
  Level3 = Level2.fNewChild("Removing Global Custom-Defined Functions", "dcaudfs.htm#468641");
  Level2 = Level1.fNewChild("Performance and Memory Considerations for Custom-Defined Functions", "dcaudfs.htm#471501");
  Level3 = Level2.fNewChild("Performance Considerations", "dcaudfs.htm#468818");
  Level3 = Level2.fNewChild("Memory Considerations", "dcaudfs.htm#468824");
  Level1 = ParamBookEntry.fNewChild("Part VII: Retrieving Data", "dba_p07.htm");
  Level1 = ParamBookEntry.fNewChild("Quick Start to Report Scripts", "drpquick.htm");
  Level2 = Level1.fNewChild("Creating a Simple Report Script", "drpquick.htm#1002556");
  Level2 = Level1.fNewChild("Parts of Report Scripts and Reports", "drpquick.htm#1002523");
  Level3 = Level2.fNewChild("How the Report Extractor Retrieves Data", "drpquick.htm#1003059");
  Level3 = Level2.fNewChild("Parts of a Report", "drpquick.htm#1001199");
  Level3 = Level2.fNewChild("Parts of a Report Script", "drpquick.htm#1011172");
  Level2 = Level1.fNewChild("Planning a Report", "drpquick.htm#999510");
  Level2 = Level1.fNewChild("Security and Multiple-User Issues", "drpquick.htm#998581");
  Level2 = Level1.fNewChild("Creating and Editing Report Scripts", "drpquick.htm#1002371");
  Level3 = Level2.fNewChild("Creating New Report Scripts", "drpquick.htm#997778");
  Level3 = Level2.fNewChild("Saving Report Scripts", "drpquick.htm#1001660");
  Level3 = Level2.fNewChild("Opening Report Scripts from the Application Manager", "drpquick.htm#997792");
  Level3 = Level2.fNewChild("Opening Report Scripts from an Application or Database Directory", "drpquick.htm#1006296");
  Level3 = Level2.fNewChild("Finding Text", "drpquick.htm#998310");
  Level3 = Level2.fNewChild("Replacing Text", "drpquick.htm#1004908");
  Level3 = Level2.fNewChild("Cutting, Copying, and Pasting Text", "drpquick.htm#998160");
  Level3 = Level2.fNewChild("Deleting Text", "drpquick.htm#1001964");
  Level2 = Level1.fNewChild("Running Report Scripts", "drpquick.htm#1005635");
  Level3 = Level2.fNewChild("Choosing the Report Output", "drpquick.htm#999347");
  Level3 = Level2.fNewChild("Choosing Report Databases", "drpquick.htm#999446");
  Level3 = Level2.fNewChild("Running the Report", "drpquick.htm#999468");
  Level2 = Level1.fNewChild("Developing Free-Form Reports", "drpquick.htm#1001001");
  Level1 = ParamBookEntry.fNewChild("Developing Report Scripts", "drpdevel.htm");
  Level2 = Level1.fNewChild("Syntax Guidelines", "drpdevel.htm#996767");
  Level2 = Level1.fNewChild("Designing the Page Layout", "drpdevel.htm#996798");
  Level3 = Level2.fNewChild("Creating Page, Column, and Row Headings", "drpdevel.htm#996814");
  Level3 = Level2.fNewChild("Modifying Headings", "drpdevel.htm#1023731");
  Level3 = Level2.fNewChild("Creating Symmetric and Asymmetric Reports", "drpdevel.htm#1013421");
  Level2 = Level1.fNewChild("Formatting", "drpdevel.htm#996874");
  Level3 = Level2.fNewChild("Formatting Report Pages", "drpdevel.htm#999797");
  Level3 = Level2.fNewChild("Formatting Page, Column, and Row Headings", "drpdevel.htm#1015374");
  Level3 = Level2.fNewChild("Adding Totals and Subtotals", "drpdevel.htm#1008247");
  Level3 = Level2.fNewChild("Changing How Data is Displayed", "drpdevel.htm#996931");
  Level2 = Level1.fNewChild("Selecting and Sorting Members", "drpdevel.htm#1001891");
  Level3 = Level2.fNewChild("Selecting Members", "drpdevel.htm#1006058");
  Level3 = Level2.fNewChild("Selecting Members Using Generation and Level Names", "drpdevel.htm#1006426");
  Level3 = Level2.fNewChild("Selecting Dynamic Time Series Members", "drpdevel.htm#1006615");
  Level3 = Level2.fNewChild("Selecting Members Using Boolean Operators", "drpdevel.htm#1009029");
  Level3 = Level2.fNewChild("Selecting Members Using Substitution Variables", "drpdevel.htm#1010660");
  Level3 = Level2.fNewChild("Selecting Members Using Attributes", "drpdevel.htm#1019018");
  Level3 = Level2.fNewChild("Selecting Members Using UDAs", "drpdevel.htm#1011376");
  Level3 = Level2.fNewChild("Selecting Members Using Wildcards", "drpdevel.htm#1009108");
  Level3 = Level2.fNewChild("Selecting Members Using Static Member Names", "drpdevel.htm#997434");
  Level3 = Level2.fNewChild("Suppressing Shared Members", "drpdevel.htm#997447");
  Level3 = Level2.fNewChild("Selecting Alias Names for Members", "drpdevel.htm#997457");
  Level3 = Level2.fNewChild("Sorting Members", "drpdevel.htm#997498");
  Level2 = Level1.fNewChild("Restricting and Ordering Data Values", "drpdevel.htm#1006433");
  Level3 = Level2.fNewChild("Defining the Order of Operation", "drpdevel.htm#1021828");
  Level3 = Level2.fNewChild("Using TOP, BOTTOM, and ORDERBY with Sorting Commands", "drpdevel.htm#1024087");
  Level3 = Level2.fNewChild("Restricting Data Ranges", "drpdevel.htm#997578");
  Level3 = Level2.fNewChild("Ordering Data", "drpdevel.htm#997595");
  Level3 = Level2.fNewChild("Using ORDERBY with Formatting Commands", "drpdevel.htm#997602");
  Level3 = Level2.fNewChild("Specifying Rows to Return", "drpdevel.htm#997609");
  Level2 = Level1.fNewChild("Converting Data to a Different Currency", "drpdevel.htm#1001170");
  Level2 = Level1.fNewChild("Generating Reports Using the C, Visual Basic, and Grid APIs", "drpdevel.htm#997670");
  Level1 = ParamBookEntry.fNewChild("Examples of Report Scripts", "drpexamp.htm");
  Level2 = Level1.fNewChild("Sample 1: Creating a Different Format for Each Page", "drpexamp.htm#3869");
  Level2 = Level1.fNewChild("Sample 2: Handling Missing Values", "drpexamp.htm#3261");
  Level2 = Level1.fNewChild("Sample 3: Nesting Columns", "drpexamp.htm#3276");
  Level2 = Level1.fNewChild("Sample 4: Grouping Rows", "drpexamp.htm#4430");
  Level2 = Level1.fNewChild("Sample 5: Reporting on Different Combinations of Data", "drpexamp.htm#5109");
  Level2 = Level1.fNewChild("Sample 6: Formatting Different Combinations of Data", "drpexamp.htm#7764");
  Level2 = Level1.fNewChild("Sample 7: Using Aliases", "drpexamp.htm#3325");
  Level2 = Level1.fNewChild("Sample 8: Creating Custom Headings and % Characters", "drpexamp.htm#3339");
  Level2 = Level1.fNewChild("Sample 9: Creating Custom Page Headings", "drpexamp.htm#7422");
  Level2 = Level1.fNewChild("Sample 10: Using Formulas", "drpexamp.htm#3385");
  Level2 = Level1.fNewChild("Sample 11: Placing Two Page Layouts on the Same Page", "drpexamp.htm#3397");
  Level2 = Level1.fNewChild("Sample 12: Formatting for Data Export", "drpexamp.htm#3405");
  Level2 = Level1.fNewChild("Sample 13: Creating Asymmetric Columns", "drpexamp.htm#3413");
  Level2 = Level1.fNewChild("Sample 14: Calculating Columns", "drpexamp.htm#3424");
  Level3 = Level2.fNewChild("Sample 14-A: Basic Calculated Columns", "drpexamp.htm#3426");
  Level3 = Level2.fNewChild("Sample 14-B: Asymmetric Columns", "drpexamp.htm#3431");
  Level2 = Level1.fNewChild("Sample 15: Calculating Rows", "drpexamp.htm#3438");
  Level3 = Level2.fNewChild("Sample 15-A: Basic Calculated Row", "drpexamp.htm#6909");
  Level3 = Level2.fNewChild("Sample 15-B: Calculated Rows and Missing Relationships", "drpexamp.htm#3446");
  Level3 = Level2.fNewChild("Sample 15-C: Averaging Rows", "drpexamp.htm#3453");
  Level2 = Level1.fNewChild("Sample 16: Sorting by Top or Bottom Data Values", "drpexamp.htm#1387");
  Level3 = Level2.fNewChild("Sample 16-A: Bottom Data Values", "drpexamp.htm#2181");
  Level3 = Level2.fNewChild("Sample 16-B: Top Data Values", "drpexamp.htm#1829");
  Level2 = Level1.fNewChild("Sample 17: Restricting Rows", "drpexamp.htm#1692");
  Level2 = Level1.fNewChild("Sample 18: Ordering Data Values", "drpexamp.htm#15358");
  Level2 = Level1.fNewChild("Sample 19: Narrowing Member Selection Criteria", "drpexamp.htm#3108");
  Level2 = Level1.fNewChild("Sample 20: Using Attributes in Member Selection", "drpexamp.htm#3164");
  Level2 = Level1.fNewChild("Sample 21: Using the WITHATTR Command in Member Selection", "drpexamp.htm#18634");
  Level1 = ParamBookEntry.fNewChild("Copying Data Subsets and Exporting Data to Other Programs", "drpexpo.htm");
  Level2 = Level1.fNewChild("Copying a Database Subset to Personal Essbase", "drpexpo.htm#997144");
  Level3 = Level2.fNewChild("Summary of Steps", "drpexpo.htm#997146");
  Level3 = Level2.fNewChild("Creating a New Application and Database", "drpexpo.htm#997154");
  Level3 = Level2.fNewChild("Copying the Outline File from Your Source Database", "drpexpo.htm#997166");
  Level3 = Level2.fNewChild("Creating an Output File Containing the Required Data Subset", "drpexpo.htm#997192");
  Level3 = Level2.fNewChild("Loading the Output File Into the New Database", "drpexpo.htm#997406");
  Level2 = Level1.fNewChild("Using Report Scripts for Data Exporting", "drpexpo.htm#998829");
  Level2 = Level1.fNewChild("Importing Data Into Other Databases", "drpexpo.htm#998679");
  Level2 = Level1.fNewChild("Exporting Data with MaxL or ESSCMD", "drpexpo.htm#1006645");
  Level2 = Level1.fNewChild("Exporting Data using Application Manager", "drpexpo.htm#1006653");
  Level1 = ParamBookEntry.fNewChild("Part VIII: Storing and Protecting Data", "dba_p08.htm");
  Level1 = ParamBookEntry.fNewChild("Managing Essbase Kernel Settings", "dstovw.htm");
  Level2 = Level1.fNewChild("Understanding the Essbase Kernel", "dstovw.htm#27313");
  Level3 = Level2.fNewChild("Understanding Buffered I/O and Direct I/O", "dstovw.htm#17669");
  Level3 = Level2.fNewChild("Setting the I/O Access Mode", "dstovw.htm#33811");
  Level3 = Level2.fNewChild("Essbase Kernel Components", "dstovw.htm#28591");
  Level2 = Level1.fNewChild("Understanding the Essbase Kernel Startup", "dstovw.htm#28189");
  Level2 = Level1.fNewChild("Precedence of Settings", "dstovw.htm#28027");
  Level2 = Level1.fNewChild("Understanding How Essbase Reads Settings", "dstovw.htm#32493");
  Level2 = Level1.fNewChild("Viewing Most Recently Entered Settings", "dstovw.htm#30269");
  Level2 = Level1.fNewChild("Customizing Essbase Kernel Settings", "dstovw.htm#21257");
  Level3 = Level2.fNewChild("Specifying and Changing Kernel Settings", "dstovw.htm#21289");
  Level3 = Level2.fNewChild("Using Application Manager for Kernel Settings", "dstovw.htm#21430");
  Level3 = Level2.fNewChild("Using alter database in MaxL for Kernel Settings", "dstovw.htm#24403");
  Level3 = Level2.fNewChild("Using SETDBSTATEITEM in ESSCMD for Kernel Settings", "dstovw.htm#27978");
  Level1 = ParamBookEntry.fNewChild("Allocating Storage and Compressing Data", "dstalloc.htm");
  Level2 = Level1.fNewChild("Storage Allocation", "dstalloc.htm#1010600");
  Level3 = Level2.fNewChild("Checking Index and Data File Sizes", "dstalloc.htm#1014086");
  Level3 = Level2.fNewChild("Specifying Disk Volumes", "dstalloc.htm#1011546");
  Level3 = Level2.fNewChild("Example: Specifying Volumes To Control Storage", "dstalloc.htm#1020791");
  Level2 = Level1.fNewChild("Data Compression", "dstalloc.htm#1011245");
  Level3 = Level2.fNewChild("Bitmap Data Compression", "dstalloc.htm#1010615");
  Level3 = Level2.fNewChild("RLE Data Compression", "dstalloc.htm#1010654");
  Level3 = Level2.fNewChild("Changing Data Compression Settings", "dstalloc.htm#1010690");
  Level3 = Level2.fNewChild("Checking the Compression Ratio", "dstalloc.htm#1010721");
  Level3 = Level2.fNewChild("Data Block Size", "dstalloc.htm#1011410");
  Level1 = ParamBookEntry.fNewChild("Ensuring Data Integrity", "dstinteg.htm");
  Level2 = Level1.fNewChild("Transactions", "dstinteg.htm#14461");
  Level2 = Level1.fNewChild("Isolation Levels", "dstinteg.htm#20573");
  Level3 = Level2.fNewChild("Data Locks", "dstinteg.htm#18269");
  Level3 = Level2.fNewChild("Committed Access", "dstinteg.htm#2479");
  Level3 = Level2.fNewChild("Uncommitted Access", "dstinteg.htm#16781");
  Level3 = Level2.fNewChild("Committed Versus Uncommitted Access", "dstinteg.htm#17277");
  Level2 = Level1.fNewChild("How Essbase Handles Transactions", "dstinteg.htm#17025");
  Level2 = Level1.fNewChild("Specifying Data Integrity Settings", "dstinteg.htm#16861");
  Level3 = Level2.fNewChild("Specifying Settings with Application Manager", "dstinteg.htm#28839");
  Level3 = Level2.fNewChild("Specifying settings with ESSCMD", "dstinteg.htm#16893");
  Level3 = Level2.fNewChild("Specifying Settings with MaxL", "dstinteg.htm#21663");
  Level2 = Level1.fNewChild("Accommodating Data Redundancy", "dstinteg.htm#1273");
  Level2 = Level1.fNewChild("Checking Structural and Data Integrity", "dstinteg.htm#5565");
  Level2 = Level1.fNewChild("Using VALIDATE to Check Integrity", "dstinteg.htm#17162");
  Level2 = Level1.fNewChild("Recovering from a Crashed Database", "dstinteg.htm#17799");
  Level3 = Level2.fNewChild("What to Expect If a Server Interruption Occurs", "dstinteg.htm#17836");
  Level3 = Level2.fNewChild("Spreadsheet Update Logging", "dstinteg.htm#17969");
  Level2 = Level1.fNewChild("Hybrid Analysisw", "dstinteg.htm#18047");
  Level1 = ParamBookEntry.fNewChild("Part IX: Maintaining and Automating Hyperion Essbase", "dba_p09.htm");
  Level1 = ParamBookEntry.fNewChild("Running Essbase Servers, Applications,  and Databases", "dagent.htm");
  Level2 = Level1.fNewChild("Essbase Executable Files", "dagent.htm#1015297");
  Level2 = Level1.fNewChild("Understanding the Agent", "dagent.htm#1012765");
  Level3 = Level2.fNewChild("Flow of Communications Events", "dagent.htm#1017843");
  Level3 = Level2.fNewChild("Multithreading", "dagent.htm#1021647");
  Level3 = Level2.fNewChild("Displaying a List of Agent Commands", "dagent.htm#1017884");
  Level2 = Level1.fNewChild("Starting and Stopping", "dagent.htm#1017676");
  Level3 = Level2.fNewChild("Starting and Stopping Applications", "dagent.htm#1006472");
  Level3 = Level2.fNewChild("Starting and Stopping Databases", "dagent.htm#1009688");
  Level2 = Level1.fNewChild("Viewing a List of Users and Available Ports", "dagent.htm#1024142");
  Level2 = Level1.fNewChild("Controlling Query Size and Duration", "dagent.htm#1017477");
  Level2 = Level1.fNewChild("Specifying Non-Default Port Values", "dagent.htm#1024576");
  Level2 = Level1.fNewChild("Changing Port Default Values", "dagent.htm#1024599");
  Level2 = Level1.fNewChild("Installing Additional Agents: Windows", "dagent.htm#1024610");
  Level2 = Level1.fNewChild("Installing Additional Agents: UNIX", "dagent.htm#1024639");
  Level2 = Level1.fNewChild("Increasing Agent Connections to Server", "dagent.htm#1022350");
  Level2 = Level1.fNewChild("Limiting the Number of User Sessions", "dagent.htm#1024795");
  Level1 = ParamBookEntry.fNewChild("Managing Applications and Databases", "dappdb.htm");
  Level2 = Level1.fNewChild("About Applications and Databases", "dappdb.htm#18086");
  Level2 = Level1.fNewChild("How Essbase Files Are Stored", "dappdb.htm#14212");
  Level3 = Level2.fNewChild("Server Software File Types", "dappdb.htm#13964");
  Level3 = Level2.fNewChild("Application and Database File Types", "dappdb.htm#3726");
  Level3 = Level2.fNewChild("API File Types", "dappdb.htm#3039");
  Level2 = Level1.fNewChild("Managing Applications, Databases, and Database Objects", "dappdb.htm#3037");
  Level3 = Level2.fNewChild("Using the File System to Manage Applications and Databases", "dappdb.htm#14114");
  Level3 = Level2.fNewChild("Monitoring Applications", "dappdb.htm#18100");
  Level3 = Level2.fNewChild("Managing Applications", "dappdb.htm#2049");
  Level3 = Level2.fNewChild("Managing Databases", "dappdb.htm#2110");
  Level3 = Level2.fNewChild("Managing Objects", "dappdb.htm#2177");
  Level2 = Level1.fNewChild("Migrating Applications Using Administration Services", "dappdb.htm#20898");
  Level2 = Level1.fNewChild("Porting Applications Across Platforms", "dappdb.htm#20903");
  Level3 = Level2.fNewChild("Identifying Compatible Files", "dappdb.htm#2321");
  Level3 = Level2.fNewChild("Checking File Names", "dappdb.htm#2343");
  Level3 = Level2.fNewChild("Transferring Compatible Files", "dappdb.htm#11499");
  Level3 = Level2.fNewChild("Reloading the Database", "dappdb.htm#2400");
  Level1 = ParamBookEntry.fNewChild("Using Essbase Logs", "dlogs.htm");
  Level2 = Level1.fNewChild("Understanding Server and Application Logs", "dlogs.htm#1020490");
  Level3 = Level2.fNewChild("Understanding the Contents of the OLAP Server Log", "dlogs.htm#1020167");
  Level3 = Level2.fNewChild("Example of an OLAP Server Log", "dlogs.htm#1014463");
  Level3 = Level2.fNewChild("Understanding the Contents of the Application Log", "dlogs.htm#1014489");
  Level3 = Level2.fNewChild("Example of an Application Log", "dlogs.htm#1014531");
  Level3 = Level2.fNewChild("Server and Application Log Message Categories", "dlogs.htm#1014192");
  Level2 = Level1.fNewChild("Using Server and Application Logs", "dlogs.htm#1013917");
  Level3 = Level2.fNewChild("Setting the Type of Server Messages Logged", "dlogs.htm#1022119");
  Level3 = Level2.fNewChild("Setting the Type of Application Messages Logged", "dlogs.htm#1011743");
  Level3 = Level2.fNewChild("Viewing the Server and Application Logs", "dlogs.htm#1007165");
  Level3 = Level2.fNewChild("Clearing the Server and Application Logs Immediately", "dlogs.htm#999887");
  Level3 = Level2.fNewChild("Clearing the Server and Application Logs Upon Restart", "dlogs.htm#1003132");
  Level3 = Level2.fNewChild("Setting Delimiters in the Server and Application Logs", "dlogs.htm#1006383");
  Level2 = Level1.fNewChild("Understanding and Using the Outline Change Log", "dlogs.htm#998624");
  Level3 = Level2.fNewChild("Understanding the Contents of the Outline Change Log", "dlogs.htm#998625");
  Level3 = Level2.fNewChild("Example of an Outline Change Log", "dlogs.htm#1004965");
  Level3 = Level2.fNewChild("Creating Outline Change Logs", "dlogs.htm#1007547");
  Level3 = Level2.fNewChild("Viewing Outline Change Logs", "dlogs.htm#1007385");
  Level3 = Level2.fNewChild("Setting the Size of the Outline Change Log", "dlogs.htm#998637");
  Level2 = Level1.fNewChild("Understanding and Using Exception Logs", "dlogs.htm#998639");
  Level3 = Level2.fNewChild("Understanding the Contents of Exception Logs", "dlogs.htm#1012794");
  Level3 = Level2.fNewChild("Example of an Exception Log", "dlogs.htm#1012736");
  Level3 = Level2.fNewChild("Viewing Exception Logs", "dlogs.htm#1012741");
  Level3 = Level2.fNewChild("Overwriting or Saving Existing Logs", "dlogs.htm#1019866");
  Level2 = Level1.fNewChild("Understanding and Using Dimension Build and Data Load Error Logs", "dlogs.htm#998652");
  Level3 = Level2.fNewChild("Understanding Dimension Build and Data Load Error Logs", "dlogs.htm#998653");
  Level3 = Level2.fNewChild("Example of a Dimension Build and Data Load Error Log", "dlogs.htm#1016996");
  Level3 = Level2.fNewChild("Viewing Dimension Build and Data Load Error Logs", "dlogs.htm#998661");
  Level3 = Level2.fNewChild("Setting the Maximum Number of Errors", "dlogs.htm#1022266");
  Level3 = Level2.fNewChild("Loading Dimension Build or Data Load Error Logs", "dlogs.htm#998663");
  Level1 = ParamBookEntry.fNewChild("Backing Up and Restoring Data", "dbackup.htm");
  Level2 = Level1.fNewChild("Backing Up a Database", "dbackup.htm#1281");
  Level3 = Level2.fNewChild("Files to Back Up", "dbackup.htm#1287");
  Level3 = Level2.fNewChild("File System Backup", "dbackup.htm#7472");
  Level3 = Level2.fNewChild("Using Export to Back Up Data", "dbackup.htm#1319");
  Level2 = Level1.fNewChild("Restoring Data from Backups", "dbackup.htm#8333");
  Level2 = Level1.fNewChild("Essential Database Files", "dbackup.htm#8363");
  Level1 = ParamBookEntry.fNewChild("Automating the Production Environment", "dmnescmd.htm");
  Level2 = Level1.fNewChild("ESSCMD Basics", "dmnescmd.htm#3929");
  Level3 = Level2.fNewChild("Syntax Guidelines", "dmnescmd.htm#1729");
  Level3 = Level2.fNewChild("Running ESSCMD on Different Operating System Platforms", "dmnescmd.htm#1458");
  Level3 = Level2.fNewChild("Canceling ESSCMD Operations", "dmnescmd.htm#5361");
  Level3 = Level2.fNewChild("Referencing Files", "dmnescmd.htm#1057");
  Level3 = Level2.fNewChild("Multi-User Considerations", "dmnescmd.htm#1113");
  Level3 = Level2.fNewChild("Case-Sensitivity", "dmnescmd.htm#896");
  Level3 = Level2.fNewChild("Getting Help", "dmnescmd.htm#8797");
  Level2 = Level1.fNewChild("Before You Start ESSCMD", "dmnescmd.htm#8223");
  Level2 = Level1.fNewChild("Starting and Quitting ESSCMD", "dmnescmd.htm#1008");
  Level2 = Level1.fNewChild("Using Interactive Mode", "dmnescmd.htm#5260");
  Level3 = Level2.fNewChild("Logging into the Server", "dmnescmd.htm#1014");
  Level3 = Level2.fNewChild("Entering Commands", "dmnescmd.htm#4052");
  Level3 = Level2.fNewChild("Canceling Operations", "dmnescmd.htm#4062");
  Level2 = Level1.fNewChild("Using Script and Batch Files for Batch Processing", "dmnescmd.htm#1493");
  Level3 = Level2.fNewChild("Writing Script Files", "dmnescmd.htm#4156");
  Level3 = Level2.fNewChild("Running Script Files", "dmnescmd.htm#1851");
  Level3 = Level2.fNewChild("Handling Command Errors in a Script File", "dmnescmd.htm#1912");
  Level3 = Level2.fNewChild("Sample Script Files", "dmnescmd.htm#4195");
  Level3 = Level2.fNewChild("Writing Batch Files", "dmnescmd.htm#1896");
  Level3 = Level2.fNewChild("Handling Command Errors in Batch Files", "dmnescmd.htm#9165");
  Level1 = ParamBookEntry.fNewChild("Part X: Optimizing and Troubleshooting Essbase", "dba_p10.htm");
  Level1 = ParamBookEntry.fNewChild("Monitoring Performance", "dmonitor.htm");
  Level2 = Level1.fNewChild("Finding Diagnostic Information", "dmonitor.htm#9483");
  Level2 = Level1.fNewChild("Viewing Server Information", "dmonitor.htm#16026");
  Level3 = Level2.fNewChild("Viewing License Information", "dmonitor.htm#1529");
  Level3 = Level2.fNewChild("Viewing Configuration Information", "dmonitor.htm#1539");
  Level3 = Level2.fNewChild("Viewing System Information", "dmonitor.htm#1552");
  Level3 = Level2.fNewChild("Viewing Disk Drive Information", "dmonitor.htm#1571");
  Level3 = Level2.fNewChild("Viewing Application Status Information", "dmonitor.htm#25146");
  Level2 = Level1.fNewChild("Viewing Application Information", "dmonitor.htm#20840");
  Level2 = Level1.fNewChild("Viewing Database Information", "dmonitor.htm#12143");
  Level3 = Level2.fNewChild("Viewing General Database Information", "dmonitor.htm#15157");
  Level3 = Level2.fNewChild("Viewing Database Storage Information", "dmonitor.htm#15145");
  Level3 = Level2.fNewChild("Viewing Currency Database Information", "dmonitor.htm#5644");
  Level3 = Level2.fNewChild("Viewing Database Statistics", "dmonitor.htm#1639");
  Level3 = Level2.fNewChild("Viewing Run-Time Information", "dmonitor.htm#1664");
  Level3 = Level2.fNewChild("Viewing Database File Information", "dmonitor.htm#5649");
  Level3 = Level2.fNewChild("Viewing a Record of Database Modifications", "dmonitor.htm#22243");
  Level2 = Level1.fNewChild("Quick Reference to Diagnostic Information", "dmonitor.htm#4494");
  Level2 = Level1.fNewChild("Monitoring Applications from the Operating System", "dmonitor.htm#23398");
  Level2 = Level1.fNewChild("Object Locks", "dmonitor.htm#20603");
  Level3 = Level2.fNewChild("Overriding a File Lock", "dmonitor.htm#20612");
  Level3 = Level2.fNewChild("Unlocking Objects", "dmonitor.htm#20615");
  Level1 = ParamBookEntry.fNewChild("Improving Essbase Performance", "daprcset.htm");
  Level2 = Level1.fNewChild("Using Basic Design for Optimization", "daprcset.htm#1009047");
  Level2 = Level1.fNewChild("Eliminating Fragmentation", "daprcset.xml#1009362");
  Level3 = Level2.fNewChild("Measuring Fragmentation", "daprcset.xml#1009380");
  Level3 = Level2.fNewChild("Preventing or Removing Fragmentation", "daprcset.xml#1009424");
  Level2 = Level1.fNewChild("Reset Database to Increase Performance", "daprcset.htm#1009063");
  Level2 = Level1.fNewChild("Database Settings Quick-Reference Table", "daprcset.htm#1004654");
  Level2 = Level1.fNewChild("Finding Other Optimization Information", "daprcset.htm#1009031");
  Level1 = ParamBookEntry.fNewChild("Optimizing Essbase Caches", "dstcache.htm");
  Level2 = Level1.fNewChild("About Essbase Caches", "dstcache.htm#1978");
  Level2 = Level1.fNewChild("Before You Size: Using Cache Memory Locking", "dstcache.htm#1014162");
  Level2 = Level1.fNewChild("Sizing Caches", "dstcache.htm#1014152");
  Level3 = Level2.fNewChild("Sizing the Index Cache", "dstcache.htm#1009307");
  Level3 = Level2.fNewChild("Changing the Index Cache Size", "dstcache.htm#1009796");
  Level3 = Level2.fNewChild("Sizing the Data File Cache", "dstcache.htm#1009590");
  Level3 = Level2.fNewChild("Changing the Data File Cache Size", "dstcache.htm#1010153");
  Level3 = Level2.fNewChild("Sizing the Data Cache", "dstcache.htm#1009993");
  Level3 = Level2.fNewChild("Changing the Data Cache Size", "dstcache.htm#1010037");
  Level3 = Level2.fNewChild("Sizing the Calculator Cache", "dstcache.htm#1012891");
  Level3 = Level2.fNewChild("Sizing Dynamic Calculator Caches", "dstcache.htm#1012721");
  Level2 = Level1.fNewChild("Fine Tuning Cache Settings", "dstcache.htm#1009078");
  Level3 = Level2.fNewChild("Understanding Cache Settings", "dstcache.htm#1012667");
  Level3 = Level2.fNewChild("Testing Cache Settings", "dstcache.htm#1009083");
  Level3 = Level2.fNewChild("Determining Which Settings to Change", "dstcache.htm#1016228");
  Level3 = Level2.fNewChild("Checking Performance", "dstcache.htm#1011193");
  Level3 = Level2.fNewChild("Running Test Calculations", "dstcache.htm#1010476");
  Level1 = ParamBookEntry.fNewChild("Optimizing Database Restructuring", "dstrestr.htm");
  Level2 = Level1.fNewChild("Understanding Database Restructuring", "dstrestr.htm#8416");
  Level3 = Level2.fNewChild("Types of Database Restructuring", "dstrestr.htm#18370");
  Level3 = Level2.fNewChild("Conditions Affecting Database Restructuring", "dstrestr.htm#6376");
  Level3 = Level2.fNewChild("Temporary Files Used During Restructuring", "dstrestr.htm#16344");
  Level3 = Level2.fNewChild("Understanding a Full Restructure", "dstrestr.htm#6933");
  Level3 = Level2.fNewChild("Understanding a Sparse Restructure", "dstrestr.htm#26301");
  Level2 = Level1.fNewChild("Optimizing Restructure Operations", "dstrestr.htm#7682");
  Level2 = Level1.fNewChild("Actions That Improve Performance", "dstrestr.htm#18476");
  Level3 = Level2.fNewChild(" Incremental Restructuring and Performance", "dstrestr.htm#2038");
  Level3 = Level2.fNewChild("Saving a Modified Outline", "dstrestr.htm#26054");
  Level3 = Level2.fNewChild("Outline Change Log", "dstrestr.htm#26094");
  Level3 = Level2.fNewChild("Essbase Partitioning Option", "dstrestr.htm#26127");
  Level2 = Level1.fNewChild("Outline Change Quick Reference", "dstrestr.htm#22449");
  Level1 = ParamBookEntry.fNewChild("Optimizing Data Loads", "ddldebug.htm");
  Level2 = Level1.fNewChild("Understanding Data Loads", "ddldebug.htm#1004087");
  Level2 = Level1.fNewChild("Grouping Sparse Member Combinations", "ddldebug.htm#1004103");
  Level2 = Level1.fNewChild("Making the Data Source As Small As Possible", "ddldebug.htm#1004178");
  Level2 = Level1.fNewChild("Making Source Fields As Small As Possible", "ddldebug.htm#1004215");
  Level2 = Level1.fNewChild("Positioning Data in the Same Order As the Outline", "ddldebug.htm#1019523");
  Level2 = Level1.fNewChild("Loading from the Essbase OLAP Server", "ddldebug.htm#1019544");
  Level2 = Level1.fNewChild("Managing Parallel Data Load Processing", "ddldebug.htm#1019766");
  Level3 = Level2.fNewChild("Understanding Parallel Data Load Processing", "ddldebug.htm#1017749");
  Level3 = Level2.fNewChild(" Optimizing Parallel Data Load Processing", "ddldebug.htm#1018345");
  Level1 = ParamBookEntry.fNewChild("Optimizing Calculations", "dcaoptcs.htm");
  Level2 = Level1.fNewChild("Designing for Calculation Performance", "dcaoptcs.htm#2461");
  Level3 = Level2.fNewChild("Block Size and Block Density", "dcaoptcs.htm#4683");
  Level3 = Level2.fNewChild("Order of Sparse Dimensions", "dcaoptcs.htm#4690");
  Level3 = Level2.fNewChild("Incremental Data Loading Considerations", "dcaoptcs.htm#4694");
  Level3 = Level2.fNewChild("Performance for Database Outlines with Two or More Flat Dimensions", "dcaoptcs.htm#4701");
  Level2 = Level1.fNewChild("Monitoring and Tracing Calculations", "dcaoptcs.htm#53757");
  Level3 = Level2.fNewChild("SET MSG SUMMARY and SET MSG DETAIL", "dcaoptcs.htm#2148");
  Level3 = Level2.fNewChild("SET NOTICE", "dcaoptcs.htm#2159");
  Level2 = Level1.fNewChild("Simulating Calculations", "dcaoptcs.htm#71227");
  Level3 = Level2.fNewChild("Performing a Simulated Calculation", "dcaoptcs.htm#71247");
  Level3 = Level2.fNewChild("Notes About Using SET MSG ONLY", "dcaoptcs.htm#71358");
  Level3 = Level2.fNewChild("Changing Your Outline Based on Results", "dcaoptcs.htm#71371");
  Level2 = Level1.fNewChild("Estimating Calculations", "dcaoptcs.htm#71690");
  Level2 = Level1.fNewChild("Using Parallel Calculation", "dcaoptcs.htm#69105");
  Level3 = Level2.fNewChild("Understanding Parallel Calculation", "dcaoptcs.htm#69134");
  Level3 = Level2.fNewChild("Checking Current Parallel Calculation Settings", "dcaoptcs.htm#69520");
  Level3 = Level2.fNewChild("Enabling Parallel Calculation", "dcaoptcs.htm#69533");
  Level3 = Level2.fNewChild("Identifying Additional Tasks for Parallel Calculation", "dcaoptcs.htm#69577");
  Level3 = Level2.fNewChild("Monitoring Parallel Calculation", "dcaoptcs.htm#69686");
  Level2 = Level1.fNewChild("Using Formulas", "dcaoptcs.htm#22066");
  Level3 = Level2.fNewChild("Consolidation", "dcaoptcs.htm#4708");
  Level3 = Level2.fNewChild("Simple Formulas", "dcaoptcs.htm#4718");
  Level3 = Level2.fNewChild("Complex Formulas", "dcaoptcs.htm#4724");
  Level3 = Level2.fNewChild("Complex Formula Performance Example", "dcaoptcs.htm#56118");
  Level3 = Level2.fNewChild("Optimizing Formulas on Sparse Dimensions in Large Database Outlines", "dcaoptcs.htm#3890");
  Level3 = Level2.fNewChild("Improving Performance for Constants in a Sparse Dimension", "dcaoptcs.htm#57196");
  Level3 = Level2.fNewChild("Using Caution with a Cross-Dimensional Operator (-&gt;)", "dcaoptcs.htm#19471");
  Level2 = Level1.fNewChild("Using Bottom-Up Calculation", "dcaoptcs.htm#22151");
  Level3 = Level2.fNewChild("Understanding Bottom-Up and Top-Down Calculation", "dcaoptcs.htm#56443");
  Level3 = Level2.fNewChild("Forcing a Bottom-Up Calculation", "dcaoptcs.htm#40023");
  Level2 = Level1.fNewChild("Designing Calculation Scripts for Performance", "dcaoptcs.htm#4735");
  Level2 = Level1.fNewChild("Managing Caches to Improve Performance", "dcaoptcs.htm#1970");
  Level2 = Level1.fNewChild("Locking Blocks During Calculation", "dcaoptcs.htm#1393");
  Level3 = Level2.fNewChild("How to Change Locking for Performance", "dcaoptcs.htm#56852");
  Level3 = Level2.fNewChild("Multiple Users and Locking", "dcaoptcs.htm#56759");
  Level2 = Level1.fNewChild("Using Two-Pass Calculation", "dcaoptcs.htm#1409");
  Level3 = Level2.fNewChild("Understanding Two-Pass Calculation", "dcaoptcs.htm#2126");
  Level3 = Level2.fNewChild("A Two-Pass Calculation Example", "dcaoptcs.htm#58167");
  Level3 = Level2.fNewChild("Understanding Two-Pass Calculation and Intelligent Calculation", "dcaoptcs.htm#1594");
  Level3 = Level2.fNewChild("Choosing Two-Pass Calculation Tag or Calculation Script", "dcaoptcs.htm#58607");
  Level3 = Level2.fNewChild("Enabling Two-Pass on a Default Calculation", "dcaoptcs.htm#58203");
  Level3 = Level2.fNewChild("Creating a Calculation Scripts for Two-Pass and Intelligent Calculation", "dcaoptcs.htm#58393");
  Level2 = Level1.fNewChild("Choosing Between Member Set Functions and Performance", "dcaoptcs.htm#61371");
  Level2 = Level1.fNewChild("Aggregating #MISSING Values", "dcaoptcs.htm#61358");
  Level3 = Level2.fNewChild("Understanding #MISSING calculation", "dcaoptcs.htm#9291");
  Level3 = Level2.fNewChild("Changing Aggregation for Performance", "dcaoptcs.htm#2633");
  Level2 = Level1.fNewChild("Identifying Other Calculation Optimization Issues", "dcaoptcs.htm#53818");
  Level1 = ParamBookEntry.fNewChild("Optimizing with Intelligent Calculation", "dcaoptic.htm");
  Level2 = Level1.fNewChild("Introducing Intelligent Calculation", "dcaoptic.htm#13404");
  Level3 = Level2.fNewChild("Benefits of Intelligent Calculation", "dcaoptic.htm#13418");
  Level3 = Level2.fNewChild("Intelligent Calculation and Data Block Status", "dcaoptic.htm#4025");
  Level3 = Level2.fNewChild("Limitations of Intelligent Calculation", "dcaoptic.htm#16214");
  Level2 = Level1.fNewChild("Using Intelligent Calculation", "dcaoptic.htm#16208");
  Level3 = Level2.fNewChild("Turning Intelligent Calculation On and Off", "dcaoptic.htm#16139");
  Level3 = Level2.fNewChild("Using Intelligent Calculation for a Default, Full Calculation", "dcaoptic.htm#2853");
  Level3 = Level2.fNewChild("Using Intelligent Calculation for a Partial, Calc Script Calculation", "dcaoptic.htm#3719");
  Level2 = Level1.fNewChild("Using the SET CLEARUPDATESTATUS Command", "dcaoptic.htm#3733");
  Level3 = Level2.fNewChild("Understanding SET CLEARUPDATESTATUS", "dcaoptic.htm#16315");
  Level3 = Level2.fNewChild("Choosing a SET CLEARUPDATESTATUS Setting", "dcaoptic.htm#18638");
  Level3 = Level2.fNewChild("Examples Using SET CLEARUPDATESTATUS", "dcaoptic.htm#3037");
  Level2 = Level1.fNewChild("Calculating Data Blocks", "dcaoptic.htm#3084");
  Level3 = Level2.fNewChild("Calculating a Dense Dimension", "dcaoptic.htm#4143");
  Level3 = Level2.fNewChild("Calculating a Sparse Dimension", "dcaoptic.htm#3105");
  Level3 = Level2.fNewChild("Handling Concurrent Calculations", "dcaoptic.htm#3114");
  Level3 = Level2.fNewChild("Understanding Multiple-Pass Calculations", "dcaoptic.htm#3129");
  Level3 = Level2.fNewChild("Examples and Solutions for Multiple-Pass Calculations", "dcaoptic.htm#24597");
  Level2 = Level1.fNewChild("Understanding the Effects of Intelligent Calculation", "dcaoptic.htm#3673");
  Level3 = Level2.fNewChild("Changing a Formula or Accounts Property", "dcaoptic.htm#16267");
  Level3 = Level2.fNewChild("Using Relationship and Financial Functions", "dcaoptic.htm#3627");
  Level3 = Level2.fNewChild("Restructuring a Database", "dcaoptic.htm#5930");
  Level3 = Level2.fNewChild("Copying and Clearing Data", "dcaoptic.htm#3643");
  Level3 = Level2.fNewChild("Converting Currencies", "dcaoptic.htm#3655");
  Level1 = ParamBookEntry.fNewChild("Optimizing Reports and Other Types of Retrieval", "drpoptim.htm");
  Level2 = Level1.fNewChild("Changing Buffer Size", "drpoptim.htm#998656");
  Level3 = Level2.fNewChild("Setting the Retrieval Buffer Size", "drpoptim.htm#997053");
  Level3 = Level2.fNewChild("Setting the Retrieval Sort Buffer Size", "drpoptim.htm#997072");
  Level2 = Level1.fNewChild("Setting Numeric Precision", "drpoptim.htm#997086");
  Level2 = Level1.fNewChild("Generating Symmetric Reports", "drpoptim.htm#997041");
  Level2 = Level1.fNewChild("Organizing Members to Optimize Data Extraction", "drpoptim.htm#997091");
  Level2 = Level1.fNewChild("Understanding Reports for Outlines that Contain Dynamic or  Transparent Members", "drpoptim.htm#1004588");
  Level2 = Level1.fNewChild("Limiting LRO File Sizes for Storage Conservation", "drpoptim.htm#1003413");
  Level1 = ParamBookEntry.fNewChild("Limits", "limits.htm");
  Level1 = ParamBookEntry.fNewChild("Error Handling and Troubleshooting  for Essbase", "dtrbl.htm");
  Level2 = Level1.fNewChild("Understanding Fatal Error Handling", "dtrbl.htm#25846");
  Level2 = Level1.fNewChild("Recovering from Full Restructure Failure", "dtrbl.htm#20724");
  Level2 = Level1.fNewChild("Recovering from Sparse Restructure Failure", "dtrbl.htm#20752");
  Level2 = Level1.fNewChild("Synchronizing Member Names in a Report Script and Database Outline", "dtrbl.htm#20782");
  Level2 = Level1.fNewChild("Multiple Reports and Server Problem", "dtrbl.htm#20721");
  Level1 = ParamBookEntry.fNewChild("Estimating Disk and Memory Requirements", "dstsiz.htm");
  Level2 = Level1.fNewChild("Understanding How Essbase Stores Data", "dstsiz.htm#674");
  Level2 = Level1.fNewChild("Determining Disk Space Requirements", "dstsiz.htm#101");
  Level3 = Level2.fNewChild("Factors To Be Used in Sizing Disk Requirements", "dstsiz.htm#1026731");
  Level3 = Level2.fNewChild("Estimating Disk Space Requirements for a Single Database", "dstsiz.htm#1025890");
  Level3 = Level2.fNewChild("Estimating the Total Server Disk Space Requirement", "dstsiz.htm#1013979");
  Level2 = Level1.fNewChild("Estimating Memory Requirements", "dstsiz.htm#1032101");
  Level3 = Level2.fNewChild("Startup Memory Requirement for an Application", "dstsiz.htm#1039891");
  Level3 = Level2.fNewChild("Startup Memory Requirement for a Single Database", "dstsiz.htm#1039911");
  Level3 = Level2.fNewChild("Estimating Additional Memory Requirements for Database Operations", "dstsiz.htm#1037703");
  Level3 = Level2.fNewChild("Estimating Total Essbase Memory Requirements", "dstsiz.htm#1035554");
  Level1 = ParamBookEntry.fNewChild("Accessing Relational Data with Hybrid Analysis", "hybrid.htm");
  Level2 = Level1.fNewChild("Overview of Hybrid Analysis", "hybrid.htm#469089");
  Level3 = Level2.fNewChild("Hybrid Analysis Relational Source", "hybrid.htm#472464");
  Level3 = Level2.fNewChild("Data Retrieval", "hybrid.htm#472670");
  Level3 = Level2.fNewChild("Hybrid Analysis Guidelines", "hybrid.htm#472937");
  Level2 = Level1.fNewChild("Defining the Hybrid Analysis Relational Source", "hybrid.htm#471625");
  Level2 = Level1.fNewChild("Retrieving Hybrid Analysis Data", "hybrid.htm#473104");
  Level3 = Level2.fNewChild("Retrieving Hybrid Analysis Data with Spreadsheet Add-in", "hybrid.htm#473119");
  Level3 = Level2.fNewChild("Retrieving Hybrid Analysis Data with Report Writer", "hybrid.htm#468312");
  Level3 = Level2.fNewChild("Retrieving Hybrid Analysis Data with Hyperion Analyzer", "hybrid.htm#472221");
  Level2 = Level1.fNewChild("Using the Outline Editor with Hybrid Analysis", "hybrid.htm#472286");
  Level2 = Level1.fNewChild("Managing Data Consistency", "hybrid.htm#475448");
  Level2 = Level1.fNewChild("Managing Security in Hybrid Analysis", "hybrid.htm#475572");
  Level2 = Level1.fNewChild("Using Formulas with Hybrid Analysis", "hybrid.htm#475381");
  Level2 = Level1.fNewChild("Unsupported Functions in Hybrid Analysis", "hybrid.htm#473279");
  Level3 = Level2.fNewChild("Generating Member Lists", "hybrid.htm#473192");
  Level3 = Level2.fNewChild("Specifying Member Conditions", "hybrid.htm#473203");
  Level3 = Level2.fNewChild("Looking up Values", "hybrid.htm#473228");
  Level3 = Level2.fNewChild("Range Function", "hybrid.htm#473251");
  Level3 = Level2.fNewChild("Current Member", "hybrid.htm#473266");
  Level1 = ParamBookEntry.fNewChild("Glossary", "glossary.htm");
}
